<?php

/**
 * @file
 * Theme Builder Help Documentation
 */
function generate_documentation_tb() {
include drupal_get_path('module', 'themebuilder') .'/includes/data.inc';
$base_path = base_path();
$themebuilder_new_standard_theme_dir = variable_get('themebuilder_new_standard_theme_dir', 'standard');
$module_base_path = $base_path . drupal_get_path('module', 'themebuilder');
      $output .= '<div class="documentation">'."\n";
      $output .= '<h3 id="documentation">3 '. t('Documentation') .'</h3>'."\n";
/*      $output .= '<h4>0 '. t('Installation') .'</h4>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc.png" title="The structure of the standard theme" ><img alt="The structure, image 1" src="'. $module_base_path .'/images/doc_100.png" /></a></p>'."\n";
 */
      $output .= '<h4>3.2 '. t('Structure') .'</h4>'."\n";
      $output .= '<p><a class="float-right" href="'. $module_base_path .'/images/doc1.png" title="The structure of the standard theme" ><img alt="The structure, image 1" src="'. $module_base_path .'/images/doc1_100.png" /></a></p>'."\n";
      $output .= '<h5>3.1 '. t('Style sheet organisation in the') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr>/<abbr class="icon16 php" title="PHP: Hypertext Preprocessor">PHP</abbr> '. t('theme') .'.</h5>'."\n";
      $output .= '<p>'. t('The themes use only') .' 5 <abbr title="Cascading Style Sheets" class="icon16 css">CSS</abbr> '. t('files') .'.</p>'."\n";
      $output .= '<h5>3.2 '. t('Structure of files.') .'</h5>'."\n";
      $output .= '<p>'. t('The structure of files in the theme builder.') .'</p>'."\n";
      $output .= '<h4>3.2 '. t('Box display') .'</h4>'."\n";
      $output .= '<h5>3.2.1.1 '. t('Sidebars') .'</h5>'."\n";
      $output .= '<p>'. t('No, one or two sidebars.') .'</p>'."\n";
      $output .= '<h4>3.2.3 '. t('Box order.') .'</h4>'."\n";
      $output .= '<p><a class="float-right" href="'. $module_base_path .'/images/doc2.png" title="The structure of the standard theme" ><img alt="The structure, image 2" src="'. $module_base_path .'/images/doc2_100.png" /></a></p>'."\n";
      $output .= '<h5>3.2.3.1 '. t('Sidebar first.') .'</h5>'."\n";
      $output .= '<p>'. t('Sidebar') .' '. t('first, only in the') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> '. t('source code') .'.</p>'."\n";
      $output .= '<h5>3.2.3.2 '. t('Content first.') .'</h5>'."\n";
      $output .= '<p>'. t('Content') .' '. t('first, only in the') .'<abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> '. t('source code') .'.</p>'."\n";
      $output .= '<h4>3.2.4 '. t('Element order') .'</h4>'."\n";
      $output .= '<h5>3.2.4.1 '. t('Element order') .' '. t('in the code') .'</h5>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc4.png" title="The structure of the standard theme" ><img alt="The structure, image 4" src="'. $module_base_path .'/images/doc4_100.png" /></a></p>'."\n";
      $output .= '<h5>3.2.4.2 '. t('Element order') .' '. t('in the screen') .'</h5>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc4_2.png" title="The structure of the standard theme" ><img alt="The structure, image 4" src="'. $module_base_path .'/images/doc4_2_100.png" /></a></p>'."\n";
      $output .= '<h4>3.3 '. t('Layout') .'</h4>'."\n";
      $output .= '<h5>3.3.1 '. t('Fix, fluid or elastic layout') .'</h5>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc5.png" title="The structure of the standard theme" ><img alt="The structure, image 5" src="'. $module_base_path .'/images/doc5_100.png" /></a></p>'."\n";
      $output .= '<h5>3.3.2 '. t('Layout for box property') .'</h5>'."\n";
      $output .= '<h6>3.3.2.1 '. t('Page') .'</h6>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc5_2.png" title="The structure of the standard theme" ><img alt="The structure, image 5" src="'. $module_base_path .'/images/doc5_2_100.png" /></a></p>'."\n";
      $output .= '<h6>3.3.3 '. t('Detail: Head') .' (<abbr title="'. t('Three dimension') .'">3D</abbr>)'.'</h6>'."\n";
      $output .= '<p><a class="float-right" href="'. $module_base_path .'/images/doc5_2_2.png" title="The structure of the standard theme" ><img alt="The structure, image 5" src="'. $module_base_path .'/images/doc5_2_2_100.png" /></a></p>'."\n";
      $output .= '<p>'. t('The box "#header-content" (with logo and search box)is over the box "#name-slogan".') .'</p>'."\n";
      $output .= '<h6>3.3.4 '. t('Detail Logo') .' (<abbr title="'. t('Three dimension') .'">3D</abbr>)'.'</h6>'."\n";
      $output .= '<p><em class="icon16 important">'. t('Improtant: The "Upload icon image" function in') .' <span class="icon16 drupal">Drupal</span> '. t('on') .' '. l('Themes', 'admin/build/themes/settings/') .' '. t('is not available!') .'</em>'. t('Why? Because:') .'</p>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li>'. t('The themebuilder use 3 logos') .' (<span class="icon16 image">logo.gif</span>, <span class="icon16 image">logo_screen.gif</span> '. t('and') .' <span class="icon16 image">logo_screen.png</span>) '. t('for transparent logos with cross browser support! More information on ') .'<a class="icon16 pdf" href="'. $module_base_path .'/documentation.pdf" title="The documentation" >documentation.pdf</a> chapter 5.2.3.</li>'."\n";
      $output .= '  <li>'. t('Drupal 6 can include only one <abbr title="Portable Network Graphics">PNG</abbr> Logo ("logo.png") automatically, but <strong>not a <abbr title="Graphics Interchange Format">GIF</abbr> logo!</strong> See: ') .'<a href="http://drupal.org/node/221290">Issues 221290</a>.</li>';
      $output .= '</ol>'."\n";

      $output .= '<h6>3.3.5 '. t('Detail: Standard Search Form') .'</h6>'."\n";
      $output .= '<p>'. t('Small width with icon and text button. Cross browser support. Ideal for accessibility and usability.') .'</>'."\n";
      $output .= '<h6>3.3.6 '. t('Detail: Other Search Form') .'</h6>'."\n";
      $output .= '<p>'. t('Medium width with icon button. Note: Not available to set this in the theme builder.') .'</>'."\n";

      $output .= '<h4>3.3.7 '. t('Grids engineering drawing') .'</h4>'."\n";
      $output .= '<h5>3.3.7.1 '. t('Minimum width.') .'</h5>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc6.png" title="The structure of the standard theme" ><img alt="The structure, image 6" src="'. $module_base_path .'/images/doc6_100.png" /></a></p>'."\n";
      $output .= '<h5>3.3.7.2 '. t('Maximum width.') .'</h5>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc6_2.png" title="The structure of the standard theme" ><img alt="The structure, image 4" src="'. $module_base_path .'/images/doc6_2_100.png" /></a></p>'."\n";
      $output .= '<h4>3.3.8 '. t('Navigation fixed width per link') .'</h4>'."\n";
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc7.png" title="The structure of the standard theme" ><img alt="The structure, image 5" src="'. $module_base_path .'/images/doc7_100.png" /></a></p>'."\n";
      $output .= '<p><span class="icon16 info">'. t('Only for') .' <span class="icon16 css">hack.css</span>!</span></p>'."\n";
      $output .= '<h5>3.3.8.1 '. t('No sidebar') .' (4 '. t('links') .')</h5>'."\n";
      $output .= '<p>'. t('For') .'  <span class="icon16 opera">Opera</span>  4+5, <abbr class="icon16 ie" title="Internet Explorer">IE</abbr> 5 <abbr title="Macintosh" class="icon16 mac">Mac</abbr>.</p>'."\n";
      $output .= '<h5>3.3.8.2 '. t('One sidebar') .' (5 '. t('links') .')</h5>'."\n";
      $output .= '<h5>3.3.8.3 '. t('Two sidebars') .' (6 '. t('links') .')</h5>'."\n";




      $output .= '<h4>3.4 '. t('Border') .'</h4>'."\n";
      $output .= '<p>'. t('TODO') .'</>'."\n";

      $output .= '<h5>3.5 '. t('Typography') .'</h5>'."\n";
      $output .= '<h6>3.5.1 '. t('Serife font family for screen') .'</h6>'."\n";
      $output .= '<p>'. t('Installed serife fonts. <a href="#r5" class="recources">[5]</a>') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('<span class="icon16 linux">Linux</span> fonts: Bitstream Charter 88%, Bitstream Vera Serif 68%, Georgia 51%, Times 47%.') .'</li>'."\n";
      $output .= '  <li>'. t('<abbr title="Macintosh" class="icon16 mac">Mac</abbr> fonts: Georgia 93%, Times New Roman 89%, Times 87%.') .'</li>'."\n";
      $output .= '  <li>'. t('<abbr title="Windows" class="icon16 win">Win</abbr> fonts: Georgia 91% Times New Roman 85%') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.2 '. t('Example serif font family') .'</h6>'."\n";
      $output .= '<p>'. t('Usual font family') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Georgia, "Times New Roman", Times, serif') .'</li>'."\n";
      $output .= '  <li>'. t('Times New Roman, Times, serif') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example serif font family for full controll with cross browser support') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="ok">Georgia, "Times New Roman", Times, "Bitstream Charter", serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example serif font family for special target groupe') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Bitstream Vera Serif", New York, "Times New Roman", Times, serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example serif font family for print') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Times New Roman", Times, "Bitstream Charter", serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.3 '. t('Sans serife font family for screen') .'</h6>'."\n";
      $output .= '<p>'. t('Installed sans serife fonts.') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('<span class="icon16 linux">Linux</span> only fonts: Bitstream Vera Sans 77%, Arial 61%, Helvetica 56%, Times New Roman 55%, Verdana 53%') .'</li>'."\n";
      $output .= '  <li>'. t('<abbr title="Macintosh" class="icon16 mac">Mac</abbr> fonts: Arial 96%, Helvetica 96%, Verdana 94%, Geneva 91%') .'</li>'."\n";
      $output .= '  <li>'. t('<abbr title="Windows" class="icon16 win">Win</abbr> fonts: Verdana 97%, Arial 97%, Lucida Sans 78%') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.4 '. t('Example sans serif font family') .'</h6>'."\n";
      $output .= '<p>'. t('Usual font family') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Verdana, Geneva, Arial, Helvetica, sans-serif <a href="#r1" class="recources">[1]</a> S93.') .'</li>'."\n";
      $output .= '  <li>'. t('"Lucida  Grande", Lucida, Verdana, sans-serif') .'</li>'."\n";
      $output .= '  <li>'. t('"Helvetica Neue", Arial, Helvetica, Geneva, sans-serif') .'</li>'."\n";
      $output .= '  <li>'. t('Arial, Helvetica, sans-serif') .'</li>'."\n";
      $output .= '  <li>'. t('Verdana, Arial, Helvetica, sans-serif') .'</li>'."\n";
      $output .= '  <li>'. t('Geneva, Arial, Helvetica, sans-serif') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example sans serif font family for full controll with cross browser support') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="ok">Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example sans serif font family for special target groupe') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Bitstream Vera Sans", Geneva, Arial, Helvetica, sans-serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example sans serif font family for print') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Bitstream Vera Sans", Arial, Helvetica, sans-serif</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.5 '. t('Monospace font family for screen') .'</h6>'."\n";
      $output .= '<p>'. t('Installed monospace fonts.') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Courier New, Courier, mono') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example monospace font family for full controll with cross browser support') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="ok">Courier New, Courier, "Bitstream Vera Sans Mono", mono </li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example monospace font family for special target groupe') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Bitstream Vera Sans Mono", Monaco, Courier New, Courier, mono</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p >'. t('Example monospace font family for print') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="info">"Bitstream Vera Sans Mono", Monaco, Courier New, Courier, mono</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.6 '. t('Characters per line and paragraph') .'</h6>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 check">'. t('Maximum 2 types <a href="#r1" class="recources">[1]</a> S93.') .'</li>'."\n";
      $output .= '  <li class="icon16 check">'. t('Record length 10-15 words <a href="#r1" class="recources">[1]</a> S113.') .'</li>'."\n";
      $output .= '  <li class="icon16 check">'. t('Minimum 30 and maximum 50 characters per line <a href="#r1" class="recources">[1]</a> S93. Minimum 30 and maximum 40 characters per line for fast reading <a href="#r1" class="recources">[1]</a> S115 (maximum 60-70 characters per line).') .'</li>'."\n";
      $output .= '  <li class="icon16 check">'. t('Maximum 640 characters per paragraph <a href="#r1" class="recources">[1]</a> S114.') .'</li>'."\n";
      $output .= '  <li class="icon16 check">'. t('Maximum 13-21 paragraphs <a href="#r1" class="recources">[1]</a> S114. Optimal 5-7 paragraphs (200 characters per paragraph).') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.5.7 '. t('More information') .'</h6>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li><a class="icon16 ods" href="'. $module_base_path .'/source/layout.ods" title="The documentation" >layout.ods</a> chapter 3.5</li>'."\n";
      $output .= '  <li><a class="icon16 odg" href="'. $module_base_path .'/source/documentation.odg" title="The documentation" >documentation.odg</a> chapter 3.5</li>'."\n";
      $output .= '</ul>'."\n";

      $output .= '<h5>3.6 '. t('Colors') .'</h5>'."\n";
      $output .= '<h6>3.6.1 '. t('Critical color combination') .'</h6>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Black/Red or Red/Black') .'</li>'."\n";
      $output .= '  <li>'. t('Red/Yellow or Yellow/Red') .'</li>'."\n";
      $output .= '  <li>'. t('Red/Orange or Orange/Red') .'</li>'."\n";
      $output .= '  <li>'. t('Red/Beige or Beige/Red') .'</li>'."\n";
      $output .= '  <li>'. t('Green/Red or Red/Green') .'</li>'."\n";
      $output .= '  <li>'. t('Green/Yellow or Yellow/Green') .'</li>'."\n";
      $output .= '  <li>'. t('Green/Orange or Orange/Green') .'</li>'."\n";
      $output .= '  <li>'. t('Green/Beige or Beige/Green') .'</li>'."\n";
      $output .= '  <li>'. t('Blue/Red or Red/Blue') .'</li>'."\n";
      $output .= '  <li>'. t('White/Yellow or Yellow/White') .'</li>'."\n";
      $output .= '  <li>'. t('Blue/Orange or Orange/Blue') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.6.2 '. t('Recommendation of color compination') .'</h6>'."\n";
      $output .= '<p>'. t('Main content text') .'</p>'."\n";
      $output .= '<p>'. t('No white background color for no blend effect.') .'</p>'."\n";
      $output .= '<p>'. t('Other text') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Black/White') .'</li>'."\n";
      $output .= '  <li>'. t('Blue/White') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p>'. t('Not for main content text') .'</p>'."\n";
      $output .= '<p>'. t('Good for navigation.') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('White/Black') .'</li>'."\n";
      $output .= '  <li>'. t('White/Red') .'</li>'."\n";
      $output .= '  <li>'. t('Yellow/Blue') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h6>3.6.3 '. t('Color contrast') .'</h6>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Brightness: minimum 125') .'</li>'."\n";
      $output .= '  <li>'. t('Difference: minimum 500') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= 'Source: '. l('www.w3.org', 'http://www.w3.org/TR/AERT#color-contrast') ."\n";

      $output .= '<h6>3.6.4 '. t('Color Palettes') .'</h6>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. l('Tango Icon Theme Palette', 'http://tango.freedesktop.org/Tango_Icon_Theme_Guidelines') .', '. l('GIMP Palette', 'http://tango.freedesktop.org/static/cvs/tango-art-tools/palettes/Tango-Palette.gpl') .'</li>'."\n";
      $output .= '  <li>'. l('GNOME Icon Palette', 'http://developer.gnome.org/projects/gup/hig/2.0/design.html#Palette') .'</li>'."\n";
      $output .= '  <li>'. l('KDE Icon Palette', 'http://wiki.kde.org/tiki-index.php?page=Colors') .'</li>'."\n";
      $output .= '  <li>'. l('Visibone', 'http://www.visibone.com/swatches/#gimp') .'</li>'."\n";
      $output .= '</ul>'."\n";


      $output .= '<h5>2.2.5 '. t('<abbr lang="en" xml:lang="en" title="Hypertext Markup Language" class="icon16 html">HTML</abbr> Elements') .'</h5>'."\n";
      $output .= '<h5>2.2.5.1 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Hypertext Markup Language" class="icon16 html">HTML</abbr> 3.2') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_html32;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.2 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Hypertext Markup Language" class="icon16 html">HTML</abbr> 4.01 transitional, frameset') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_html401ft;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.3 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Hypertext Markup Language" class="icon16 html">HTML</abbr> 4.01 strict') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_html401s;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.4 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> 1.0') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_xhtml10;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.5 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> 1.1') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_xhtml11;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.6 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Hypertext Markup Language" class="icon16 html">HTML</abbr> 5') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_html50;
      $output .= ', ev:listener.</code></p>'."\n";
      $output .= '<h5>2.2.5.5 '. t('Elements not for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> 2.0') .'</h5>'."\n";
      $output .= '<p><code class="error">'."\n";
      $output .= $notallowed_elements_xhtml20;
      $output .= '.</code></p>'."\n";



      $output .= '<h4>3.. '. t('Source') .'</h4>'."\n";
      $output .= '<p>'. t('You can view the structure and order of the standard theme in the image, legend and source: ') ."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li><a class="icon16 oasis_drawing" href="'. $module_base_path .'/source/documentation.odg" title="The structure of the standard theme" >documentation.odg</a></li>'."\n";
      $output .= '  <li><a class="icon16 oasis_spreadsheet" href="'. $module_base_path .'/source/layout.ods" title="The layout width" >layout.ods</a></li>'."\n";
      $output .= '</ul>'."\n";

      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
  return $output;
}
