<?php // $Id$ ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language ?>" xml:lang="<?php print $language->language ?>">
  <head>
    <title><?php print $head_title ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="content-language" content="<?php print $language->language ?>" />
    <meta name="generator" content="Drupal Theme Builder 1.x" />
    <meta name="author" content="Name" />
    <meta name="organisation" content="" />
    <meta name="copyrigh" content="" />
    <meta name="date" content="2008-06-02T00:37:31-05:00" />
    <meta name="description" lang="en" content="" />
    <meta name="keywords" lang="en" content="" />
    <meta name="revisit-after" content="30 days" />
    <meta name="robots" content="" />
    <meta name="cache" http-equiv="Cache-Control" content="max-age=86400" />
    <meta name="audience" content="all" />
    <meta name="rating" content="general" />
    <?php print $head ?>
    <!-- Note: media="screen" important for NN 4 and iCab 2.9 -->
    <link type="text/css" rel="stylesheet" media="screen" href="<?php print $base_path . path_to_theme(); ?>/base.css" />
    <?php print $styles ?>
    <?php print $scripts ?>
    <script type="text/javascript" src="<?php print $base_path . path_to_theme(); ?>/standard.js"></script>
    <!-- Site Navigation Bar -->
    <!-- Top -->
    <link rel="start" href="index.php" title="Home" />
    <!-- Up -->
    <link rel="up" href="#page" title="Page" />
    <!-- First -->
    <!--<link rel="first" href="#" title="First" />-->
    <!-- Last -->
    <!--<link rel="last" href="#" title="Last" />-->
    <!-- Previous -->
    <!--<link rel="prev" href="#" title="Preview" />-->
    <!-- Next -->
    <!--<link rel="next" href="#" title="Next" />-->

    <!-- Document -->
    <link rel="contents" href="sitemap" title="Contents" />
    <!--<link rel="chapter" href="#" title="Chapter 1" />-->
    <!--<link rel="section" href="#" title="Section 1.1" />-->
    <!--<link rel="subsection" href="#" title="Subsection 1.1.1" />-->
    <!--<link rel="appendix" href="#" title="Footnote" />-->
    <link rel="glossary" href="glossary" title="Glossary" />
    <link rel="index" href="index" title="Index" />
    <!-- More -->
    <link rel="help" href="help" title="Help" />
    <link rel="search" href="search" title="Search" />
    <link rel="author" href="contact" title="Author" />
    <link rel="copyright" href="imprint" title="Copyright" />
    <link rel="bookmark" href="http://localhost/drupal6/" title="<?php print $site_name; ?>" />
    <!-- Other versions -->
    <!-- End Site Navigation Bar -->

  </head>
  
  <body class="<?php print $body_classes; ?>">
    <div id="page">
      <div id="header">
      <div id="skip-nav">
      <?php if ($title): ?>
      <a href="#content" tabindex="1"  class="no-acc" title="<?php print t('Skip to Main Content: ') . $title; ?> "><?php print $head_title ?></a>
      <?php endif; ?>
      <?php if (!$title): ?>
      <a href="#content" tabindex="1"  class="no-acc"  title="<?php print t('Skip to Main Content: '); ?> Home">Home</a>
      <?php endif; ?>
    </div>
    <div id="name-slogan" <?php if (!$logo): ?> class="no-logo" <?php endif; ?>>
      <?php if ($site_name): ?>
      <h1 id="site-name" ><?php print $site_name; ?></h1>
      <?php endif; ?>
     <?php if ($site_slogan): ?>
     <p id="site-slogan"><?php print $site_slogan; ?></p>
     <?php endif; ?>
    </div> <!-- /#name-slogan -->
    <div id="header-content">
      <?php if ($logo): ?>
      <div id="logo" >
      <?php if ($is_front): ?>
        <img src="/drupal6/sites/all/themes/standard/images/logo.gif" alt="<?php print t('Logo: Druplicon'); ?>" title="<?php print t('Logo: Druplicon'); ?>" id="logo-image" />
      <?php endif; ?>
      <?php if (!$is_front): ?>
        <a href="<?php print $base_path; ?>" title="<?php print t('Home'); ?>" rel="home">
        <img src="/drupal6/sites/all/themes/standard/images/logo.gif" alt="<?php print t('Logo: Druplicon'); ?>" id="logo-image" />
        </a>
      <?php endif; ?>
      </div>
      <?php endif; ?>
      
      <div id="search-header">
        <?php if ($search_box): ?>
        <h2 class="hidden">Search</h2>
        <?php print $search_box; ?>
        <?php endif; ?>
      </div> <!-- /#search-header -->
      <div id="header_blocks" >
        <?php print $header ?>
      </div> <!-- /header_blocks -->
    </div> <!-- /#header-content -->
    <div class="clear" title="for opera 4"></div>
    <div id="navigation" >
      <?php if ($primary_links): ?>
      <div id="primary">
        <h2 class="hidden">Servicenavigation</h2>
        <?php print theme("links", $primary_links); ?>
      </div> <!-- /#primary -->
      <?php endif; ?>
      <?php if ($secondary_links): ?>
      <div id="secondary">
        <h2 class="hidden">Navigation</h2>
        <?php print theme("links", $secondary_links); ?>
      </div> <!-- /#secondary -->
      <?php endif; ?>
      <div class="clear"></div>
    </div> <!-- /navigation -->
    </div> <!-- /header -->
    <hr class="hidden" />
    <div id="main" class="navigation-first">
      <?php if ($left): ?>
      <div id="sidebar-left" class="column sidebar">
        <?php print $left; ?>
      </div> <!-- /sidebar-left -->
      <?php endif; ?>
      <hr class="hidden" />
      <?php if (!$left): ?>
      <?php if ($right): ?>
     <div id="sidebar-right" class="column sidebar">
       <?php print $right; ?>
     </div> <!-- /sidebar-right -->
     <?php endif; ?>
     <hr class="hidden" />
      <?php endif; ?>
      <div id="content">
        <div class="content-margin">
          <?php print $breadcrumb; ?>
          <?php if ($mission): ?>
          <div id="mission"><?php print $mission; ?></div>
          <?php endif; ?>
      <?php if ($content_top):?>
          <div id="content-top"><?php print $content_top; ?></div>
          <?php endif; ?>
          <?php if ($title): ?>
          <h2 class="title"><?php print $title; ?></h2>
          <?php endif; ?>
          <?php if ($tabs): ?>
          <div class="tabs"><?php print $tabs; ?></div>
          <?php endif; ?>
          <?php print $help; ?>
          <?php print $messages; ?>
          <?php print $content; ?>
          <?php if ($feed_icons): ?>
          <div class="feed-icons"><?php print $feed_icons; ?></div>
          <?php endif; ?>
          <?php if ($content_bottom): ?>
          <div id="content-bottom"><?php print $content_bottom; ?></div>
          <?php endif; ?>
          <div class="clear"></div>
        </div> <!-- /content-margin -->
      </div> <!-- /content -->
      <?php if ($left): ?>
      <?php if ($right): ?>
     <div id="sidebar-right" class="column sidebar">
       <?php print $right; ?>
     </div> <!-- /sidebar-right -->
     <?php endif; ?>
     <hr class="hidden" />
      <?php endif; ?>
      <div class="clear"></div>
      </div> <!-- /main -->
      <div id="footer">
        <p><?php print $footer_message; ?></p>
        <ul>
          <li><a href="#content" title="Skip up to content" class="icon8 skip_up" rel="internal">Content</a></li>
          <li><a href="javascript:window.print()" title="Print this page" class="icon8 print" rel="external">Print</a></li>
        <ul>
        <?php print $footer; ?>
        <?php print $closure; ?>
        <div class="clear"></div>
      </div> <!-- /footer -->
    </div> <!-- /page -->
  </body>
</html>
