<?php

/**
 * @file
 * Theme Builder Help
 */
function generate_help_tb() {
$base_path = base_path();
$themebuilder_new_standard_theme_dir = variable_get('themebuilder_new_standard_theme_dir', 'standard');
$module_base_path = $base_path . drupal_get_path('module', 'themebuilder');

      $output = '<h3 id="contents">'. t('Index') .'</h3>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li><a href="#installation" title="'. t('Show or hide this content') .'" class="icon16 installation">'. t('Installation and Setup') .'</a></li>'."\n";
      $output .= '  <li><a href="#tutorial" title="'. t('Show or hide this content') .'" class="icon16 tutorial">'. t('Tutorial') .'</a></li>'."\n";
      $output .= '  <li><a href="#documentation" title="'. t('Show or hide this content') .'"class="icon16 documentation">'. t('Documentation') .'</a></li>'."\n";
      $output .= '  <li><a href="#features" title="'. t('Show or hide this content') .'" class="icon16 features">'. t('Features') .'</a></li>'."\n";
      $output .= '  <li><a href="#hardware_support" title="'. t('Show or hide this content') .'" class="icon16 hardware_support">'. t('Hardware Support') .'</a></li>'."\n";
      $output .= '  <li><a href="#os_support" title="'. t('Show or hide this content') .'" class="icon16 os_support">'. t('Operating System Support') .'</a></li>'."\n";
      $output .= '  <li><a href="#browser_support" title="'. t('Show or hide this content') .'" class="icon16 browser_support">'. t('Browser Support') .'</a></li>'."\n";
      $output .= '  <li><a href="#bugs" title="'. t('Show or hide this content') .'" class="icon16 bugs">'. t('Bugs/Contributions') .'</a></li>'."\n";
      $output .= '  <li><a href="#devel" title="'. t('Show or hide this content') .'" class="icon16 devel">'. t('For Developers') .'</a></li>'."\n";
      $output .= '  <li><a href="#source" title="'. t('Show or hide this content') .'" class="icon16 source">'. t('Source') .'</a></li>'."\n";
      $output .= '  <li><a href="#thanks" title="'. t('Show or hide this content') .'" class="icon16 thanks">'. t('Thanks') .'</a></li>'."\n";
      $output .= '  <li><a href="#license" title="'. t('Show or hide this content') .'" class="icon16 license">'. t('License') .'</a></li>'."\n";
      $output .= '  <li><a href="#legend" title="'. t('Show or hide this content') .'" class="icon16 legend">'. t('Legend') .'</a></li>'."\n";
      $output .= '  <li><a href="#recources" title="'. t('Show or hide this content') .'" class="icon16 recources">'. t('Recources') .'</a></li>'."\n";
      $output .= '</ol>'."\n";
      $output .= '<p><a href="#installation" title="'. t('Show or hide all content') .'" class="icon16 all">'. t('Show or hide all content') .'</a></p>'."\n";
      $output .= '<hr />'."\n";
      $output .= '<div class="installation">'."\n";
      $output .='<h3 id="installation">1 '. t('Installation and Setup') .'</h3>'."\n";
      $output .='<h4>1.1 '. t('Installation of theme builder module') .'</h4>'."\n";
      $output .= '<p><a class="float-right" href="'. $module_base_path .'/images/doc.png" title="The structure of the standard theme" ><img alt="The structure, image 1" src="'. $module_base_path .'/images/doc_100.png" /></a></p>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li>'. t('Copy the modul to:') .' <span class="icon16 folder">"'. base_path() .'sites/all/modules/"</span>. '.'</li>'."\n";
      $output .= '  <li>'. t('Create a file folder "themes" in: ') .'<span class="icon16 folder">"'. base_path() .'sites/all/"</span>.'."\n";
      $output .= '  <li>'. t('Set the premission "writable" of the directory:') .' <span class="icon16 folder_red">"'. base_path() .'sites/all/themes"</span>.'.'</li>'."\n";
      $output .= '  <li>'. t('Enable the module on: ') .'"'. l('Modules', 'admin/build/modules') .'".</li>'."\n";
      $output .= '  <li>'. t('Enable the block "Theme Builder" on: ') .'"'. l('Blocks', 'admin/build/block') .'".</li>'."\n";
      $output .= '</ol>'."\n";
      $output .='<h4>1.2 '. t('Open and import other themes') .'</h4>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li>'. t('Copy the themes to:') .' <span class="icon16 folder">"'. base_path() .'sites/all/themes/"</span>.</li>'."\n";
      $output .= '  <li>'. t('Import the theme in the Theme Builder on: ') .' "'. l('Theme Builder > File > Open', 'themebuilder/file/open') .'" '. t('by input the "Theme directory name" in the input field, and click on "Open".') .'</li>'."\n";
      $output .= '</ol>'."\n";

      $output .='<h4>1.3 '. t('Installation of other themes for the standard template') .'</h4>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li>'. t('Copy the themes to:') .' <span class="icon16 folder">"'. base_path() .'sites/all/modules/themebuilder/themes/"</span>.</li>'."\n";
      $output .= '  <li>'. t('Save the other theme in the Theme Builder on:') .' "'. l(t('Theme Builder > Settings'), 'themebuilder/settings') .'" '. t('under "Standard theme" and save the configuration.') .'</li>'."\n";
      $output .= '</ol>'."\n";

      $output .='<h4>1.4 '. t('Installation of color palettes') .'</h4>'."\n";
      $output .= '<ol>'."\n";
      $output .= '  <li>'. t('Copy <abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program" class="icon16 gimp" >GIMP</abbr> or <abbr title="K Desktop Environment" class="icon16 kcoloredit">KDE</abbr> color palette file ("<span class="icon16 text">standard.gpl</span>") to:') .' <span class="icon16 folder">"'. base_path() .'sites/all/modules/themebuilder/themes/standard/color/"</span>. <br /><span class="important">'. t('The file name have to be the same as the standard theme folder name!') .'</span></li>'."\n";
      $output .= '  <li>'. t('Define the the palette for view under:') .' '. l('Theme Builder > Settings > Color Palette', 'themebuilder/settings')  .'</span></li>'."\n";
      $output .= '  <li>'. t('View it under:') .' '. l('Theme Builder > Color > GIMP/KDE Color Palette', 'themebuilder/color') .'.</li>'."\n";
      $output .= '</ol>'."\n";

      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= generate_tutorial_tb();
      $output .= generate_documentation_tb();
      $output .= '<div class="features">'."\n";
      $output .= '<h3 id="features">4 '. t('Features') .'</h3>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Export (Generate)') .'</span>'."\n";
      $output .= '    <ol>'."\n"; 
      $output .= '    <li class="icon16 ok"><abbr class="icon16 php" title="PHP: Hypertext Preprocessor">PHP</abbr>'. t('Templates for') .' <span class="icon16 drupal">Drupal</span> 6.x</li>'."\n";
      $output .= '    <li class="icon16 ok"><a href="http://www.smarty.net" class="icon16 php">Smarty '. t('Templates') .'</a> '. t('for') .' <span class="icon16 drupal">Drupal</span> 5.x/6.x</li>'."\n";
      $output .= '    <li class="icon16 ok"><a href="http://www.phpxtemplate.org" class="icon16 php">PHP X'. t('Templates') .'</a> '. t('for') .' <span class="icon16 drupal">Drupal</span> 4.x</li>'."\n";
      $output .= '    <li class="icon16 ok"><abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> '. t('Templates') .' '. t('for') .' '. t('static sites') .'.</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('<abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program," class="icon16 gimp" >GIMP</abbr> and <span title="Inkscape" class="icon16 inkscape">Inkscape</span> Color Palettes (<span class="icon16 text">theme.gpl</span>).') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('<abbr title="K Desktop Environment" class="icon16 kcoloredit">KDE</abbr> Color Palettes (<span class="icon16 text">theme</span>).') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('<span title="OpenOffice.org" class="icon16 openofficeorg_2">OpenOffice.org 2</span> Color Palettes (<span class="icon16 text">theme.soc</span>).') .'</li>'."\n";
      $output .= '    </ol>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Import') .'</span>'."\n";
      $output .= '    <ol>'."\n"; 
      $output .= '    <li class="icon16 ok">'. t('All Theme Builder generated <span class="icon16 theme">templates</span>.') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('<abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program," class="icon16 gimp" >GIMP</abbr> and <span title="Inkscape" class="icon16 inkscape">Inkscape</span> Color Palettes (<span class="icon16 text">theme.gpl</span>) (View).') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('<abbr title="K Desktop Environment" class="icon16 kcoloredit">KDE</abbr> Color Palettes (<span class="icon16 text">theme</span>) (View).') .'</li>'."\n";
      $output .= '    </ol>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 access">'. t('Web Accessibility. <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 <abbr title="Priority 3">AAA</abbr> and <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> <abbr title="Priority 2">II</abbr>') .'</span>'.'</li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 access">'. t('Web Usability.') .'</span>'.'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Web Standards.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 displayconfig">'. t('For screen resolution: 800x600 Pixel (15 inch) (by standard width and no sidebar)!') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Use <abbr lang="en" xml:lang="en" class="icon16 css" title="Cascading Style Sheets">CSS</abbr> for layout <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 3.3, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 3.3.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('No tables for the layout <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 5, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 5.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('No frames.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Variable size units! <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 3.4, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 3.4') .'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Access with no images and colors possible.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Skip link navigation with clearl identify the target of link <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 13.1, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 13.1.') .'</li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 colors">'. t('Link decoration (visited, focus, hover and active). Focus and active links with 1px border dashed (Source: Recommendation <a href="#r1" class="recources">[1]</a> S90.') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Fixed line length! Fixed and resizable content width in no, one or two sidebars (line length: 30-40, max. 70 indications)') .'</li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 folder">'. t('Slim') .'.</span>'."\n";
      $output .= '    <ol>'."\n"; 
      $output .= '    <li class="icon16 ok"><span class="icon16 drupal">Drupal</span> '. t('Themes') .' '. t('only') .' 143<abbr lang="en" xml:lang="en" title="Kilobyte">kB</abbr> ('. t('images') .' 43<abbr lang="en" xml:lang="en" title="Kilobyte">kB</abbr>)</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('Only') .' 5 <abbr lang="en" xml:lang="en" class="icon16 css" title="Cascading Style Sheets">CSS</abbr> '. t('files') .' (41<abbr lang="en" xml:lang="en" title="Kilobyte">kB</abbr>)!</li>'."\n";
      $output .= '    </ol>'."\n"; 
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 text">'. t('Semantic code. Example: A image not in a title "h1" and the alt text of the image for description of the image and not for the title "h1". A title is a title and a image is a image! <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 3.1, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 3.1') .'</span></li>'."\n";
      $output .= '    <li class="icon16 ok"><span class="icon16 info">'. t('Logical naming for block elements and ') .'<abbr title="Cascading Style Sheets">CSS</abbr>! '. t('No "#container", "col1", ".red".') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Golden section (1.62)! Content width 40em and sidebar left width 20em.') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Margin for browser rounding errors (standard min. 0.2em)') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 important">'. t('Only float elements if necessary!') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 browser">'. t('No browser proprietary code <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 11.1, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 11.1 (example no') .' <abbr class="icon16 ie" lang="en" xml:lang="en" title="Internet Explorer">IE</abbr> '. t('Conditional Comments') .', '. t('or') .' <span class="icon16 mozilla">Mozilla</span> "moz-border-radius").*</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 color">'. t('Colors') .'</span>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '    <li class="icon16 ok">'. t('Harmonic and right color combination (example no Red/Green) with a colorschemer like <a href="http://home.gna.org/colorscheme/" title="Agave" class="icon16 agave">Agave</a>!') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('Optimal color contrast <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 2.2, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 2.2/2.3!') .'</li>'."\n";
      $output .= '    <li class="icon16 ok">'. t('Generate <abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program," class="icon16 gimp" >GIMP</abbr>, <span title="Inkscape" class="icon16 inkscape">Inkscape</span>, <abbr title="K Desktop Environment" class="icon16 kcoloredit">KDE</abbr> and <span title="OpenOffice.org" class="icon16 openofficeorg_2">OpenOffice.org 2</span> Color Palettes!') .'</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Images and Icons') .'</span>'."\n";
      $output .= '    <ol>'."\n";
      $output .= '      <li class="icon16 ok"><span class="icon16 image"><abbr title="Portable Network Graphics">PNG</abbr> '. t('(transparent) logo and background images for new browsers') .' (<abbr class="icon16 ie_7" lang="en" xml:lang="en" title="Internet Explorer">IE</abbr> 7).</span></li>'."\n";
      $output .= '      <li class="icon16 ok"><span class="icon16 image"><abbr title="Graphics Interchange Format">GIF</abbr> '. t('(transparent) logo and') .' <abbr  lang="en" xml:lang="en" title="Joint Photographic Experts Group">JPEG</abbr> '. t('background images for old browsers') .' (<abbr class="icon16 ie_6" title="Internet Explorer">IE</abbr> 5/6)</span>.</li>'."\n";
      $output .= '      <li class="icon16 ok"><span class="icon16 image"><abbr title="Graphics Interchange Format">GIF</abbr> '. t('(intransparent) logo for ') .'<span class="icon16 printer">'. t('printer and old browser') .'</span>.*</span></li>'."\n";
      $output .= '      <li class="icon16 ok"><abbr title="Portable Network Graphics" class="icon16 image">PNG</abbr> and <abbr title="Graphics Interchange Format">GIF</abbr> '. t('icons for ') .'<a class="icon16 skip_up" href="#">'. t('skip') .'</a>, <a class="icon16 internal" href="#">'. t('internal') .'</a>/<a class="icon16 external" href="http://www.drupal.org">'. t('external') .'</a> <a class="icon16" href="#" rel="author">'. t('relation/reverse') .'</a> '. t('links') .'*.</li>'."\n";
      $output .= '      <li class="icon16 ok"><abbr title="Portable Network Graphics" class="icon16 image">PNG</abbr> and <abbr title="Graphics Interchange Format">GIF</abbr> '. t('mimetype icons for general ') .'<span class="icon16 text">'. t('files') .'</span>'. t('and') .' <a href="http://www.openoffice.org" class="icon16 openofficeorg_2">OpenOffice.org 2</a> '. t('files') .' *.</li>'."\n";
      $output .= '    </ol>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 info">'. t('Base') .': '. t('The layout based on the: ') . l('Zen (classic) theme', 'http://drupal.org/project/zen') . t(' and the head images, logos, favicon and colors from the Garland theme.') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 computer">'. t('Extensive hardware support. <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 9, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 9 (desktop and mobile <span class="icon16 computer" title="Computer">computers</span>, <span class="icon16 mobile" title="Mobile Devices">mobile devices</span>, <span class="icon16 gameconsole" title="video game console">video game console</span> and more).') .'</span></li>'."\n"; 
      $output .= '  <li class="icon16 ok"><span class="icon16 linux">'. t('Extensive operating system support.') .' (<span class="icon16 win_xp">Win</span>, <span class="icon16 linux">Linux</span>, <abbr title="Macintosh" class="icon16 mac">Mac</abbr>) <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 9, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 9</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 browser">'. t('Extensive browser support.') .' (all <abbr class="icon16 ie_7" title="Internet Explorer">IE</abbr>, all <span class="icon16 firefox">Firefox</span>, <em>all <span class="icon16 opera">Opera</span></em>, all <span class="icon16 safari">Safari</span> browsers) <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 9, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 9.</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 w3c">'. t('Valid') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> '. t('code, stylesheets and <abbr title="Cascading Style Sheets">CSS</abbr> hacks! <abbr lang="de" xml:lang="de" title="Web Content Accessibility Guidelines">WCAG</abbr> 1.0 3.2, <abbr lang="de" xml:lang="de" title="Barrierefreie Informationstechnik-Verordnung">BITV</abbr> 3.2') .'*</span></li>';
      $output .= '  <li class="icon16 ok"><span class="icon16 css">'. t('Valid') .' <abbr title="Cascading Style Sheets">CSS</abbr> '. t('Hacks in a seperat stylesheet') .' (<span class="icon16 css">hacks.css</span>) '. t('are only for fixing browser bugs. The theme can run only the hacks.') .'</span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 pdf">'. t('Documented') .': <a class="icon16 pdf" href="'. $module_base_path .'/documentation.pdf" title="The documentation" >documentation.pdf</a></span></li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 text">'. t('Source code available') .'</span>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok">Modul source: '."\n";
      $output .= '        <ul>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 folder" href="'. $module_base_path .'/" title="The directory of themebuilder" >themebuilder</a></li>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 image" href="'. $module_base_path .'/source/logo.xcf" title="The logo source file for GIMP" >logo.xcf</a></li>'."\n";
      $output .= '        </ul>'."\n";
      $output .= '      </li>'."\n";
      $output .= '      <li class="icon16 ok">Documentation source: '."\n";
      $output .= '        <ul>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 oasis_drawing" href="'. $module_base_path .'/source/documentation.odg" title="The structure of the standard theme" >documentation.odg</a></li>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 oasis_spreadsheet" href="'. $module_base_path .'/source/layout.ods" title="The layout width" >layout.ods</a></li>'."\n";
      $output .= '        </ul>'."\n";
      $output .= '      </li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 gnu">'. t('Framework indipendend.') .'*</span></li>'."\n";
      $output .= '  <li class="icon16 ok">'. t('Drupal <abbr lang="en" xml:lang="en" title="Content Management System">CMS</abbr> conform open source license.') .'*'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li><a href="http://www.gnu.org/licenses/gpl.html" title="GNU General Public License" class="icon16 gnu"><abbr lang="en" xml:lang="en" title="GNU is not Unix">GNU</abbr> '. t('General Public License') .' Version 3 (<abbr lang="en" xml:lang="en" title="GNU is not Unix">GNU</abbr> <abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr><abbr lang="en" xml:lang="en" title="Version">v</abbr>3)</a> *</li>'."\n";
      $output .= '      <li><a href="'. $module_base_path .'/LICENSE.txt" title="GNU General Public License" class="icon16 text">LICENSE.txt</a></li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="hardware_support">'."\n";
      $output .= '<h3 id="hardware_support">5 '. t('Hardware Support') .'</h3>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 computer" title="Desktop Computer">Desktop computers</span></li>'."\n"; 
      $output .= '  <li class="icon16 ok"><span class="icon16 computer" title="Mobile Computer">Mobile computers</span> <br />(<span class="icon16 warning">maximum theme total width 800 pixel</span>)</li>'."\n"; 
      $output .= '  <li class="icon16 ok"><span class="icon16 mobile" title="Mobile Devices">Mobile handy / <abbr lang="en" xml:lang="en" title="Personal Digital Assistant">PDA</abbr></span></li>'."\n"; 
      $output .= '  <li class="icon16 ok"><span class="icon16 gameconsole" title="video game console">Home video game console</span>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://wii.com/" class="icon16 wii" title="Nintendo Wii" rel="external">Nintendo Wii</a>* (<span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.us.playstation.com/" class="icon16 playstation" title="Sony PlayStation 3" rel="external">Sony PlayStation 3</a>* (<span class="icon16 mozilla">Mozilla 1.00</span>)</li>'."\n";
      $output .= '      <li class="icon16 not-tested"><a href="http://www.xbox.com/" class="icon16 xbox" title="Microsoft Xbox" rel="external">Microsoft <abbr lang="en" xml:lang="en" title="Direct X">X</abbr>box</a> ('. t('standard no browser') .', <span class="icon16 browser" title="MCEBrowser"><abbr lang="en" xml:lang="en" title="Media Center Edition">MCE</abbr>Browser</span>). <span class="icon16 warning">'. t('Not tested') .'</span></li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><span class="icon16 gameconsole" title="video game console">Mobile video game console</span>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://wii.com/" class="icon16 nintendo_ds" title="Nintendo DS" rel="external">Nintendo <abbr lang="en" xml:lang="en" title="Dual Screen">DS</abbr></a>* (<span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.us.playstation.com/PSP" class="icon16 psp" title="Sony PlayStation Portable" rel="external">Sony PlayStation Portable</a>* (<span class="icon16 netfront">NetFront</span>)</li>'."\n";
      $output .= '      <li class="icon16 not-tested"><a href="http://www.gp2x.com/" class="icon16 gp2x" title="GP2X" rel="external"><abbr lang="en" xml:lang="en" title="Gamepark">GP</abbr>2X</a> <span class="icon16 linux">Linux</span> ('. t('standard no browser') .'. On <span class="icon16 qtopia">Qtopia</span>: <span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="os_support">'."\n";
      $output .= '<h3 id="os_support">6 '. t('Operating System Support') .'</h3>'."\n";
      $output .= '<h4>5.1 '. t('Desktop Operating System') .'</h4>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/" class="icon16 win_vista" title="Windows" rel="external">Windows</a> over Version 95 ( <span class="icon16 mozilla">Mozilla</span>  1.7.13,  <span class="icon16 seamonkey">SeaMonkey</span>  1.0.6, <span class="icon16 firefox">Firefox</span> 1.x) '."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/" class="icon16 msdos" title="Windows MSDOS" rel="external"><abbr lang="en" xml:lang="en" title="Microsoft Disk Operating System">MSDOS</abbr></a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/" class="icon16 win_98" title="Windows" rel="external">Windows 95&#8211;98</a> (Windows 95: <span class="icon16 firefox">Firefox</span> 1.x,  <span class="icon16 opera">Opera</span>  3/4/5/6. Windows 98: <span class="icon16 firefox">Firefox</span> 2.x.  <span class="icon16 opera">Opera</span>  7/8/9)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/" class="icon16 win_2000" title="Windows" rel="external">Windows NT/2000/XP</a> (<span class="icon16 ie">Internet Explorer</span> 5.5,  <span class="icon16 mozilla">Mozilla</span> , <span class="icon16 firefox">Firefox</span> 1/2/3)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/" class="icon16 win_vista" title="Windows" rel="external">Windows Vista</a> ( <span class="icon16 mozilla">Mozilla</span> , <span class="icon16 firefox">Firefox</span> 2/3)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.linux.org" class="icon16 linux" title="Linux" rel="external">Linux </a> (Kernel 2.2.14: <span class="icon16 firefox">Firefox</span> 2, <span class="icon16 mozilla">Mozilla</span> 1.7.13), (Linux i386/PowerPC/Sparc  <span class="icon16 opera">Opera</span>  8/9)'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.redhat.com" class="icon16 redhat" title="Redhat Linux" rel="external">Redhat</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://fedora.redhat.com" class="icon16 fedora" title="Fedora Linux" rel="external">Fedora</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.debian.com" class="icon16 debian" title="Linux" rel="external">Debian</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.suse.com" class="icon16 suse" title="Suse/openSUSE Linux" rel="external">Suse/openSUSE</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mandriva.com" class="icon16 mandriva" title="Mandrake/Mandriva Linux" rel="external">Mandrake/Mandriva</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.ubuntu.com" class="icon16 ubuntu" title="Ubuntu Linux" rel="external">Ubuntu</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.gentoo.org" class="icon16 gentoo" title="Gentoo Linux" rel="external">Gentoo</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.knoppix.org" class="icon16 knoppix" title="Knoppix Linux" rel="external">Knoppix</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.slackware.com" class="icon16 slackware" title="Slackware Linux" rel="external">Slackware</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mepis.org/" class="icon16 mepis" title="MEPIS Linux" rel="external">MEPIS</a></li>'."\n"; 
      $output .= '      <li class="icon16 ok"><a href="http://xandros.com" class="icon16 xandros" title="Xandros Linux" rel="external">Xandros</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.linspire.com" class="icon16 linspire" title="Linspire Linux" rel="external">Linspire</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://freespire.org/" class="icon16 freespire" title="Freespire Linux" rel="external">Freespire</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.sun.com/software/javadesktopsystem/" class="icon16 java_desktop" title="Sun Java Desktop System" rel="external">Sun Java Desktop System</a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.terrasoftsolutions.com/products/ydl/" class="icon16 yellowdog" title="Yellow Dog Linux" rel="external">Yellow Dog</a></li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.apple.com/macosx/" title="Mac" rel="external"><abbr title="Macintosh" class="icon16 mac">Mac</abbr></a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.apple.com/support/macos9/" title="Mac" rel="external"><abbr title="Macintosh" class="icon16 mac">Mac</abbr> 9.x </a> (<span class="icon16 opera">Opera</span>  5.x+)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.apple.com/macosx/" title="Mac" rel="external"><abbr title="Macintosh" class="icon16 mac">Mac</abbr> 10.1.x</a> (<span class="icon16 mozilla">Mozilla</span>  1.7.13)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.apple.com/macosx/" title="Mac" rel="external"><abbr title="Macintosh" class="icon16 mac">Mac</abbr> 10.2.x+</a> (<span class="icon16 firefox">Firefox</span> 2, <span class="icon16 seamonkey">SeaMonkey</span> 1.0.6, <span class="icon16 opera">Opera</span>  6/7/8/9)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.bsd.org" class="icon16 bsd" title="BSD" rel="external">BSD</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.freebsd.org/de/" class="icon16 freebsd" title="FreeBSD" rel="external">FreeBSD</a> (FreeBSD 4.1.1: <span class="icon16 mozilla">Mozilla</span> 4.76, <span class="icon16 firefox">Firefox</span> 1/2, Konqueror,  <span class="icon16 opera">Opera</span>  8/9)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netbsd.org" class="icon16 netbsd" title="NetBSD" rel="external">NetBSD</a> ( <span class="icon16 mozilla">Mozilla</span>  Milestone 17)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.openbsd.org" class="icon16 openbsd" title="OpenBSD" rel="external">OpenBSD</a> (OpenBSD 3.3 <span class="icon16 mozilla">Mozilla</span> 1.4, OpenBSD 3.5 <span class="icon16 firefox">Firefox</span> 1)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.sun.com/software/solaris/" class="icon16 solaris" title="Solaris" rel="external">Solaris</a> over Version 10 (Solaris 2.8 (SPARC) - GTK1:  <span class="icon16 seamonkey">SeaMonkey</span>  1.0.6), Solaris Sparc  <span class="icon16 opera">Opera</span>  8/9, Solaris Intel  <span class="icon16 opera">Opera</span>  9 '."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opensolaris.org" class="icon16 opensolaris" title="OpenSolaris" rel="external">OpenSolaris</a></li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www-306.ibm.com/software/os/warp/" class="icon16 os2warp" title="OS/2 Warp" rel="external">OS/2 Warp</a> ( <span class="icon16 mozilla">Mozilla</span>  1.7.x,  <span class="icon16 seamonkey">SeaMonkey</span> 1.0.6,  <span class="icon16 firefox">Firefox</span> ,  <span class="icon16 opera">Opera</span>  5, NetScape, Links, Lynx)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://ecomstation.com" class="icon16 ecomstation" title="eComStation" rel="external">eComStation</a> ( <span class="icon16 mozilla">Mozilla</span>  1.4, <span class="icon16 firefox">Firefox</span> 1)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.beincorporated.com" class="icon16 beos" title="BeOS" rel="external">BeOS</a> ( <span class="icon16 seamonkey">SeaMonkey</span>  1.5, <span class="icon16 firefox">Firefox</span> 2,  <span class="icon16 opera">Opera</span>  3.62, Links,  <span class="icon16 netpositive">NetPositive</span> ) <ul>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://haiku-os.org/" class="icon16 haiku" title="Haiku" rel="external">Haiku</a> ( <span class="icon16 seamonkey">SeaMonkey</span>  1.5, <span class="icon16 firefox">Firefox</span> 2)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.zeta-os.com" class="icon16 zeta" title="Zeta" rel="external">Zeta</a> ( <span class="icon16 seamonkey">SeaMonkey</span>  1.5, <span class="icon16 firefox">Firefox</span> 2,  <span class="icon16 netpositive">NetPositive</span> )</li>'."\n";
      $output .= '  </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.amiga.com/" class="icon16 amiga" title="Amiga" rel="external">Amiga</a> (<span class="icon16 aweb">AWeb</span>, <span class="icon16 ibrowse">IBrowse</span>, <span class="icon16 voyager">Voyager</span>)'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.aros.org" class="icon16 aros" title="AROS" rel="external"><abbr title="Amiga Research Operating System">AROS</abbr></a></li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.morphosppc.com" class="icon16 morphos" title="MorphOS" rel="external">MorphOS</a> (<span class="icon16 voyager">Voyager</span>)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.sgi.com/products/software/irix/" class="icon16 irix" title="IRIX" rel="external"><abbr xml:lang="en" title="Silicon Graphics, Inc." lang="en">sgi</abbr> <abbr xml:lang="en" title="IRIX" lang="en">IRIX</abbr></a> ( <span class="icon16 mozilla">Mozilla</span> )</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://h20338.www2.hp.com/hpux11i/cache/324545-0-0-0-121.html?jumpid=go/hpux" class="icon16 hp_ux" title="HP-UX" rel="external"><abbr xml:lang="en" title="Hewlett Packard UniX" lang="en">HP-UX</abbr></a> 11+ ( <span class="icon16 mozilla">Mozilla</span> )</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www-03.ibm.com/servers/aix/" class="icon16 aix" title="IBM-AIX" rel="external"><abbr xml:lang="en" title="International Business Machines Corporation" lang="en">IBM</abbr>-<abbr xml:lang="en" title="Advanced Interactive eXecutive" lang="en">AIX</abbr></a> ( <span class="icon16 mozilla">Mozilla</span>  1.4/1.7, <span class="icon16 firefox">Firefox</span> 1.5)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.qnx.com/" class="icon16 qnx" title="QNX" rel="external"><abbr xml:lang="en" title="QNX" lang="en">QNX</abbr></a> (QNX 6.3.0 &amp; 6.2.1: <span class="icon16 mozilla">Mozilla</span> 1.6, <span class="icon16 firefox">Firefox</span> 0.8,  <span class="icon16 opera">Opera</span>  5/6, <span class="icon16 voyager">Voyager</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.skyos.org/" class="icon16 skyos" title="SkyOS" rel="external"><abbr xml:lang="en" title="Sky operating system" lang="en">SkyOS</abbr></a> ( <span class="icon16 mozilla">Mozilla</span> ,  <span class="icon16 firefox">Firefox</span> )</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h4>5.2 '. t('Mobile and game console operating system') .'</h4>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://palmsource.com/palmos/" class="icon16 blazer" title="Palm" rel="external">Palm OS</a> (Palm Browser 1/2/3, <span class="icon16 netfront">NetFront</span> 1/2/3, <span class="icon16 blazer">Blazer</span> 1/2/3/4, <span class="icon16 webtogo">WebToGo</span> 1/2)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.microsoft.com/germany/windowsmobile/default.mspx" class="icon16 win_mobile" title="Windows" rel="external">Windows Mobile</a> (<span class="icon16 ie">Internet Explorer Mobile</span>, <span class="icon16 minimo">Minimo</span>, <span class="icon16 opera">Opera</span> 7.6)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://java.sun.com/javame/index.jsp" class="icon16 java_os" title="Java Platform, Micro Edition" rel="external"><abbr title="Java Platform, Micro Edition">J2ME</abbr> Java Platform, Micro Edition</a></li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.symbian.com" class="icon16 symbian" title="Symbian" rel="external">Symbian</a> (<span class="icon16 opera">Opera</span> 3/5)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.openmoko.com" class="icon16 openmoko" title="Qtopia" rel="external">Openmoko</a> (<abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://opie.handhelds.org" class="icon16 opie" title="Opie" rel="external">Opie</a>(<abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr>) (<span class="icon16 konqueror">Konqueror</span>, <span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.qtopia.net/modules/devices/index.php" class="icon16 qtopia" title="Qtopia" rel="external">Qtopia</a> (<abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr>) (<span class="icon16 opera">Opera Mobile</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://maemo.org" class="icon16 maemo" title="Maemo" rel="external">Maemo</a> (<abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.moblin.org/" class="icon16 moblin" title="Moblin" rel="external">Moblin</a> (<abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://code.google.com/android/" class="icon16 android" title="Android" rel="external">Android</a> (<abbr lang="en" xml:lang="en" title="Apache Public Licenses">APL</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.limofoundation.org" class="icon16 limo" title="Moblin" rel="external">LiMo</a> (proprietary)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.mobilinux.com" class="icon16 mobilinux" title="Mobilinux" rel="external">Mobilinux</a></li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://wii.com/" class="icon16 wii" title="Nintendo Wii" rel="external">Nintendo Wii</a>* (<span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://wii.com/" class="icon16 nintendo_ds" title="Nintendo DS" rel="external">Nintendo <abbr lang="en" xml:lang="en" title="Dual Screen">DS</abbr></a>* (<span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.us.playstation.com/" class="icon16 playstation" title="Sony PlayStation 3" rel="external">Sony PlayStation 3</a>* (<span class="icon16 mozilla">Mozilla 1.x</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.us.playstation.com/PSP" class="icon16 psp" title="Sony PlayStation Portable" rel="external">Sony PlayStation Portable</a>* (<span class="icon16 netfront">NetFront</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.xbox.com/" class="icon16 xbox" title="Microsoft Xbox" rel="external">Microsoft <abbr lang="en" xml:lang="en" title="Direct X">X</abbr>box</a> ('. t('standard no browser') .', <span class="icon16 browser" title="MCEBrowser"><abbr lang="en" xml:lang="en" title="Media Center Edition">MCE</abbr>Browser</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.gp2x.com/" class="icon16 gp2x" title="GP2X" rel="external"><abbr lang="en" xml:lang="en" title="Gamepark">GP</abbr>2X</a> <span class="icon16 linux">Linux</span> ('. t('standard no browser') .'. On <span class="icon16 qtopia">Qtopia</span>: <span class="icon16 opera">Opera</span>)</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="browser_support">'."\n";
      $output .= '<h3 id="browser_support">7 '. t('Browser Support') .'</h3>'."\n";
      $output .= '<h4>6.1 '. t('Desktop Browser') .'</h4>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator" class="icon16 netscape_7" title="Netscape Navigator" rel="external">Netscape Navigator</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator4" class="icon16 netscape_4" title="Netscape Navigator" rel="external">Netscape Navigator</a> 1.x&#8211;4.x <del>5.x</del>(only <span class="icon16 css">base.css</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator6" class="icon16 netscape_6" title="Netscape Navigator" rel="external">Netscape Navigator</a> 6.x  (<span class="icon16 warning">No transparent logo</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator7" class="icon16 netscape_7" title="Netscape Navigator" rel="external">Netscape Navigator</a> 7.x *</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator8" class="icon16 netscape_7" title="Netscape Navigator" rel="external">Netscape Navigator</a> 8.x</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.netscape.com" name="NetscapeNavigator9" class="icon16 netscape_9" title="Netscape Navigator" rel="external">Netscape Navigator</a> 9.x </li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.mozilla.org/products/mozilla1.x/" class="icon16 mozilla" title="Mozilla" rel="external">Mozilla</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mozilla.org/products/mozilla1.x/" class="icon16 mozilla_1" title="Mozilla" rel="external">Mozilla</a> 1.5+ * (<span class="icon16 warning">1.0 hover problem</span>) (<span class="icon16 mozilla_mac">Mozilla</span> 1.1 <abbr title="Macintosh" class="icon16 mac">Mac</abbr> tested)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mozilla.org/projects/seamonkey/" class="icon16 seamonkey" title="SeaMonkey" rel="external">SeaMonkey</a> 1.x+ (1.0.6 Win, <abbr title="Macintosh" class="icon16 mac">Mac</abbr> tested)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.caminobrowser.org" class="icon16 camino" title="Camino" rel="external">Camino</a> 0.6+ * (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>) (<span class="icon16 camino">Navigator</span> 0.3.0 tested)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://kmeleon.sourceforge.net/" class="icon16 k-meleon" title="K-Meleon" rel="external">K-Meleon</a> 1.x+ (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.beonex.com/" name="Beonex" class="icon16 beonex" title="Beonex" rel="external">Beonex</a> 0.8.x+ (<abbr title="Windows" class="icon16 win">Win</abbr>) (<span class="icon16 warning">No transparent logo</span>)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.mozilla.com/firefox/" class="icon16 firefox" title="Firefox" rel="external">Firefox</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mozilla.com/firefox/" class="icon16 phoenix" title="Phoenix" rel="external">Phoenix</a> 0.1 (<span class="icon16 firefox">Firefox 0.1</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mozilla.com/firefox/" class="icon16 firebird" title="Firebird" rel="external">Firebird</a> 0.6 (<span class="icon16 firefox">Firefox 0.6</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.mozilla.com/firefox/" class="icon16 firefox" title="Firefox" rel="external">Firefox</a> 0.6/1.x+</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.gnu.org/software/gnuzilla/" name="Iceweasel" class="icon16 iceweasel_1" title="Iceweasel" rel="external">Iceweasel</a> 1.x+</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.flock.com/" class="icon16 flock" title="Flock" rel="external">Flock</a> 1.x+</li>'."\n";
      $output .= '  </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer" class="icon16 ie_7" title="Internet Explorer" rel="external">Internet Explorer</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer4" class="icon16 ie" title="Internet Explorer" rel="external">Internet Explorer</a> 1.x&#8211;4.x (<abbr title="Windows" class="icon16 win">Win</abbr>) (only <span class="icon16 css">base.css</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer5" class="icon16 ie" title="Internet Explorer" rel="external">Internet Explorer</a> 5.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer5mac" class="icon16 ie_5mac" title="Internet Explorer" rel="external">Internet Explorer</a> 5.x (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>)*</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer6" class="icon16 ie_6" title="Internet Explorer" rel="external">Internet Explorer</a> 6.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer7" class="icon16 ie_7" title="Internet Explorer" rel="external">Internet Explorer</a> 7.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 info"><a href="http://www.microsoft.com/germany/windows/ie/" name="InternetExplorer8" class="icon16 ie_7" title="Internet Explorer" rel="external">Internet Explorer</a> 8.x (<abbr title="Windows" class="icon16 win">Win</abbr>, <span class="icon16 win_vista">Vista</span>) (summer 2008)</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.aol.de/AOLBrowser/" class="icon16 aol_browser" title="AOL Browser" rel="external"><abbr xml:lang="en" title="America Online" lang="en">AOL</abbr> <span xml:lang="en" lang="en">Browser</span></a> 1.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.avantbrowser.com" class="icon16 avant_11" title="Avant Browser" rel="external">Avant <span xml:lang="en" lang="en">Browser</span></a> 11.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.flashpeak.com" class="icon16 slim" title="SlimBrowser" rel="external">SlimBrowser</a> 4.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.suttondesigns.com" class="icon16 enigma" title="Enigma Browser" rel="external">Enigma Browser</a> (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.maxthon.com" class="icon16 maxthon" title="Maxthon" rel="external">Maxthon</a> 2.x (<abbr title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.opera.com" name="Opera" class="icon16 opera" title="Opera" rel="external">Opera</a>'."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 not-tested"><a href="http://www.opera.com" name="Opera1" class="icon16 opera_4" title="Opera" rel="external">Opera</a> 1.x (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera2" class="icon16 opera_4" title="Opera" rel="external">Opera</a> 2.x (<span class="icon16 info">Textversion</span>) (<span class="icon16 warning">No PNG Support</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera3" class="icon16 opera_4" title="Opera" rel="external">Opera</a> 3.x (<span class="icon16 info">Textversion</span>) (<span class="icon16 warning">Images</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera4" class="icon16 opera_4" title="Opera" rel="external">Opera</a> 4.x (<span class="icon16 warning">No transparent logo</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera5" class="icon16 opera_5" title="Opera" rel="external">Opera</a> 5.x (<abbr title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr> <abbr title="Operating System">OS</abbr> 9+ ) (<span class="icon16 warning">No transparent logo</span>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera6" class="icon16 opera" title="Opera" rel="external">Opera</a> 6.x (<abbr title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera7" class="icon16 opera" title="Opera" rel="external">Opera</a> 7.x (<abbr title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera8" class="icon16 opera" title="Opera" rel="external">Opera</a> 8.x (<abbr title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr>)</li>'."\n";
      $output .= '      <li class="icon16 ok"><a href="http://www.opera.com" name="Opera9" class="icon16 opera" title="Opera" rel="external">Opera</a> 9.x+ (<abbr lang="en" xml:lang="en" title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr>) </li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.konqueror.org" name="Konqueror" class="icon16 konqueror" title="Konqueror" rel="external">Konqueror</a> 3.x+ (<span" class="icon16 linux">Linux</span>) (3.5 tested)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://galeon.sourceforge.net/" name="Galeon" class="icon16 galeon" title="Galeon" rel="external">Galeon</a> 1.x+ (<span" class="icon16 linux">Linux</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.gnome.org/projects/epiphany/" name="Epiphany" class="icon16 epiphany" title="Epiphany" rel="external">Epiphany</a> 1.4.8+ (<span" class="icon16 linux">Linux</span>) (1.8 tested)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.apple.com/macosx/features/safari/" class="icon16 safari" title="Safari" rel="external">Safari</a> 1.x+ (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>, <abbr title="Windows" class="icon16 win">Win</abbr>)*</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.icab.de/" class="icon16 icab" title="iCab" rel="external">iCab</a> 3.x+ (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>)*</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.omnigroup.com/applications/omniweb/" class="icon16 omniweb" title="OmniWeb" rel="external">OmniWeb</a> 5.x+ (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>)* (5.1 tested)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://hmdt-web.net/shiira/en" class="icon16 shiira" title="Shiira" rel="external">Shiira</a> 0.9+ (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>)*</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.ibm.com" class="icon16 ibm_hpr" title="IBM Home Page Reader" rel="external"><abbr lang="en" xml:lang="en" title="International Business Machines Corporation">IBM</abbr> Home Page Reader</a> 3.x (<abbr lang="en" xml:lang="en" title="Windows" class="icon16 win">Win</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://ubrowser.com/" class="icon16 browser" title="uBrowser" rel="external">uBrowser</a> 2.x+</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.w3.org/Amaya/" name="Amaya" class="icon16 amaya" title="Amaya" rel="external">Amaya</a> 10 (<abbr lang="en" xml:lang="en" title="Windows" class="icon16 win">Win</abbr>, <span" class="icon16 linux">Linux</span>, <abbr lang="en" xml:lang="en" title="Macintosh" class="icon16 mac">Mac</abbr>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://aweb.sunsite.dk/" name="AWeb" class="icon16 aweb" title="AWeb" rel="external">AWeb</a> (<abbr title="Amiga Operating System" class="icon16 amiga">AmigaOS</abbr>, <abbr title="Morph Operating System" class="icon16 morphos">MorphOS</abbr>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.ibrowse-dev.net/" name="iBrowse" class="icon16 ibrowse" title="iBrowse" rel="external">iBrowse</a> (<abbr title="Amiga Operating System" class="icon16 amiga">AmigaOS</abbr>, <abbr title="Morph Operating System" class="icon16 morphos">MorphOS</abbr>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://v3.vapor.com/" name="Voyager" class="icon16 voyager" title="Voyager" rel="external">Voyager</a> (<abbr title="Amiga Operating System" class="icon16 amiga">AmigaOS</abbr>, <abbr title="Morph Operating System" class="icon16 morphos">MorphOS</abbr>) (<span class="icon16 warning">Not tested</span>) </li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="#" class="icon16 netpositive" title="NetPositive" rel="external">NetPositive</a> (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://lynx.browser.org/" name="Lynx" class="icon16 lynx" title="Lynx" rel="external">Lynx</a> 2.x+ (<span class="icon16 info">Textbrowser for <abbr lang="en" title="Uniplexed Information and Computing Service" class="icon16 unix">UNIX</abbr>, <abbr lang="en" xml:lang="en" title="Microsoft Disk Operating System" class="icon16 msdos">MSDOS</abbr>, <abbr title="Windows" class="icon16 win">Win</abbr></span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://offbyone.com/offbyone/" class="icon16 offbyone" title="Off By One" rel="external">Off By One</a> (<span class="icon16 info">Textbrowser for <abbr title="Windows" class="icon16 win">Win</abbr></span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.dillo.org" name="Dillo" class="icon16 dillo" title="Dillo" rel="external">Dillo</a> (<span class="icon16 info">Textbrowser for <span" class="icon16 linux">Linux</span>, <abbr title="Net Berkeley Software Distribution" class="icon16 netbsd">NetBSD</abbr></span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://artax.karlin.mff.cuni.cz/%7Emikulas/links/" name="Links" class="icon16 browser" title="Links" rel="external">Links</a> (<span class="icon16 info">Textbrowser for <abbr lang="en" title="Uniplexed Information and Computing Service" class="icon16 unix">UNIX</abbr>, <abbr lang="en" title="Operating System" class="icon16 os2warp">OS</abbr>/2 Warp</span>)</li>'."\n";
      $output .= '  </ul>'."\n";
      $output .= '<h4>6.2 '. t('Mobile and game console browser') .'</h4>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.palm.com/us/software/blazer/" class="icon16 palm_browser" title="PalmSource Web Browser" rel="external">PalmSource Web Browser</a> 2.x (<span class="icon16 palm">Palm</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.palm.com/us/software/webbrowser20/" class="icon16 palm_browser" title="Blazer" rel="external">Blazer</a> (<span class="icon16 palm">Palm</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.microsoft.com/windowsmobile/software/iemobile.mspx" name="InternetExplorerMobile7" class="icon16 ie_7" title="Internet Explorer Mobile" rel="external">Internet Explorer Mobile</a> (<span title="Windows" class="icon16 win">Windows Mobile</span>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.mozilla.org/projects/minimo/" name="Minimo" class="icon16 minimo" title="Minimo" rel="external">Mozilla Minimo</a> 0.2 (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://wiki.mozilla.org/Mobile" name="FirefoxMobile" class="icon16 firefox" title="Firefox Mobile" rel="external">Firefox Mobile</a> (<span" class="icon16 linux">Linux</span>, <span title="Windows" class="icon16 win">Windows Mobile</span>) (<span class="icon16 error">Not yet available.</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.opera.com/products/mobile/products/" name="OperaMobile" class="icon16 opera" title="Opera Mobile" rel="external">Opera Mobile</a> 5.x+ (<span title="Symbian" class="icon16 symbian">Symbian</span>, <span title="Windows" class="icon16 win">Windows Mobile</span>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.operamini.com/" name="OperaMini" class="icon16 operamini" title="Opera Mini" rel="external">Opera Mini</a> 1.x+ (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"> <a href="http://www.opera.com/" class="icon16 opera" title="Opera" rel="external">Opera</a> (<span title="Nintendo Wii" class="icon16 wii">Nintendo Wii</span>, <span class="icon16 nintendo_ds" title="Nintendo DS">Nintendo <abbr lang="en" xml:lang="en" title="Dual Screen">DS</abbr></span>*</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.anpark.com/Software.aspx" class="icon16 browser" title="MCEBrowser"><abbr lang="en" xml:lang="en" title="Media Center Edition">MCE</abbr>Browser</a> (<span class="icon16 xbox">Microsoft <abbr lang="en" xml:lang="en" title="Direct X">X</abbr>box</span>: <span title="Windows Media Center Edition" class="icon16 win">Windows Media Center Edition</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.symbian.com/" class="icon16 symbian" title="Symbian" rel="external">Symbian <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language">XHTML</abbr>-Browser</a> (Tested on Nokia 6131, 5140i)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.webtogo.de" class="icon16 webtogo" title="WebToGo" rel="external">WebToGo</a> 1.x+ (<span class="icon16 palm">Palm</span>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.handango.com/PlatformProductDetail.jsp?siteId=1&amp;platformId=1&amp;productId=30113" class="icon16 palm_browser" title="PocketLink" rel="external">PocketLink</a> (<span class="icon16 palm">Palm</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.access-company.com/products/netfrontmobile/browser/index.html" name="NetFront" class="icon16 netfront" title="NetFront" rel="external">NetFront</a> 1.x+ (<span class="icon16 palm">Palm</span>, <span class="icon16 psp">Sony PlayStation Portable</span>) </li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://webkit.org/" name="WebKit" class="icon16 safari" title="WebKit" rel="external">WebKit</a> 414.x+ Series 60 </li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="#" class="icon16 browser" title="IXI/Q05A2.5" rel="external">IXI/Q05A2.5</a></li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="#" class="icon16 browser" title="RIM Browser" rel="external"><abbr lang="en" xml:lang="en" title="Research In Motion">RIM</abbr> Browser</a> 4.x</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://teashark.com/" class="icon16 browser" title="TEA Shark" rel="external">TEA Shark</a> Alpha 0.8</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.danger.com/" class="icon16 browser" title="Danger hiptop" rel="external">Danger hiptop</a> 4.x</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="tp://www.openwave.com/us/products/client_products/mobile_browser/" name="OpenWave" class="icon16 browser" title="OpenWave" rel="external">OpenWave</a> 6.x</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.bitstream.com" class="icon16 browser" title="ThunderHawk" rel="external">ThunderHawk</a> 2.x+ (<span title="Windows Mobile" class="icon16 win">Windows Mobile</span>) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.avantgo.com" class="icon16 avantgo" title="AvantGo" rel="external">AvantGo</a> 1.x+ (<span class="icon16 palm">Palm</span>, <span title="Windows CE" class="icon16 win">Windows CE</span>) (Offline web browser) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 not-tested"><a href="http://www.isilo.com/" class="icon16 isilo" title="iSilo" rel="external">iSilo</a> 3.x+ (Offline web browser) (<span class="icon16 warning">Not tested</span>)</li>'."\n";
      $output .= '  <li class="icon16 ok"><a href="http://www.apple.com/iphone/features/index.html#safari" class="icon16 safari_iphone" title="Safari" rel="external">Safari</a> 1.x+ (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>)*</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="bugs">'."\n";
      $output .= '<h3 id="bugs">8 '. t('Bugs/Contributions') .'</h3>'."\n";
      $output .= '<p>'. t('You can help!') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Create or send feature requests. Tell us, what you miss in the theme builder.') .'</li>'."\n";
      $output .= '  <li>'. t('Create or send bug reports. Test the standard theme local (http://localhost/) or on:') .' <a href="http://www.zwahlendesign.ch/drupal6/">http://www.zwahlendesign.ch/drupal6/</a> '. t('in <span class="icon16 not-tested">not tested browsers</span> and tell us the details about the errors.') .'</li>'."\n";
      $output .= '  <li>'. t('Create or send support requests if you need more help.') .'</li>'."\n";
      $output .= '  <li>'. t('Send a message to the developers:') ."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li>'.'Christian Zwahlen, <span lang="en" xml:lang="en"><abbr title="Electronic">E</abbr>-Mail</span>: <a href="mailto:info@zwahlendesign.ch">info@zwahlendesign.ch</a></li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li>'. t('Make a donation to the developers:') ."\n";
      $output .= '    <ul>'."\n";
      $output .= '      <li>'.' Christian Zwahlen, '. t('Information on:') .' '. l('http://www.zwahlendesign.ch', 'zwahlendesign.ch') .'</li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '  </li>'."\n";
      $output .= '  <li>'. t('Help to coding. Edit the ') .'<span class="icon16 php">"style_css.php"</span> '. t('or the') .' <span class="icon16 php">"hacks_css.php"</span> '. t('and tell us this.') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<p>'. t('You will be named under ') .'"<a href="#thanks" title="'. t('Show or hide this content') .'" class="icon16 thanks">11. '. t('Thanks') .'</a>" '. t('if you will that.') .'</p>'."\n";
      $output .= '<p>'. t('Thanks a lot!') .'</p>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="devel">'."\n";
      $output .= '<h3 id="devel">9 '. t('For Developers') .'</h3>';
      $output .= '<h4>9.1 '. t('Variable names') .'</h4>';
      $output .= '<p>'."\n";
      $output .= '[\'&#160;&#160;<span class="code-variable">$modulname</span>_&#160;&#160;<span class="code-element">element</span>_&#160;&#160;<span class="code-id">id</span>_&#160;&#160;<span class="code">property</span>_modulspecific\'] = &#160;&#160;<span class="code-value">Value</span>;<br />'."\n";
      $output .= 'Example: [\'&#160;&#160;<span class="code-variable">$themebuilder</span>_&#160;&#160;<span class="code-element">div</span>_&#160;&#160;<span class="code-id">content</span>_&#160;&#160;<span class="code">backgroundcolor</span>_print\'] = &#160;&#160;<span class="code-value">#FFFFFF</span>;'."\n";
      $output .= '</p>'."\n";
      $output .= '<p>'."\n";
      $output .= '<span class="important">No "-" in the CSS property for consistently naming and for select the hole property in Quanta Plus.</span>'."\n";
      $output .= '</p>'."\n";
      $output .= '<h4>9.2 '. t('CSS Property Order') .'</h4>';
      $output .= '<p><code>';
      $output .= '<span class="code-php"><&#063;php</span><br />
&#160;&#160;<span class="code-comment">/* Example: layout_css.tpl.php */</span><br />
&#160;&#160;<span class="code-variable">$output</span> = \'&#160;&#160;<span class="code-element">element</span>&#160;&#160;<span class="code-id">#id</span> {<br />
&#160;&#160;<span class="code-comment">/* structure */</span><br />
&#160;&#160;<span class="code-property">display:</span>&#160;<span class="code-value">block</span>;<br />
&#160;&#160;<span class="code-property">float:</span>&#160;<span class="code-value">left</span>;<br />
&#160;&#160;<span class="code-property">clear:</span>&#160;<span class="code-value">none</span>;<br />
&#160;&#160;<br />
&#160;&#160;<span class="code-comment">/* layout */</span><br />
&#160;&#160;<span class="code-property">position:</span>&#160;<span class="code-value">relative</span>;<br />
&#160;&#160;<span class="code-property">top:</span>&#160;<span class="code-value">0px</span>;<br />
&#160;&#160;<span class="code-property">left:</span>&#160;<span class="code-value">0px</span>;<br />
&#160;&#160;<span class="code-property">width:</span>&#160;\'<span class="code-variable">. &themebuilder_left_width . $themebuilder_theme_layout </span>&#160;.\';&#160;<span class="code-comment">/* required if "display: block;" */</span><br />
&#160;&#160;<span class="code-property">height:</span>&#160;<span class="code-value">auto</span>;<br />
&#160;&#160;<span class="code-property">padding:</span>&#160;<span class="code-value">0em</span>; &#160;&#160;<span class="code-comment">/* required */</span><br />
&#160;&#160;<span class="code-property">margin:</span>&#160;<span class="code-value">0em</span>; &#160;&#160;<span class="code-comment">/* required */</span><br />
&#160;&#160;<br />
&#160;&#160;<span class="code-comment">/* border */</span><br />
&#160;&#160;<span class="code-property">border-width:</span>\'.&#160;<span class="code-variable">$themebuilder_div_content_borderwidth</span> .\';<br />
&#160;&#160;<span class="code-property">border-style:</span>\'.&#160;<span class="code-variable">$themebuilder_div_content_borderstyle</span> .\';<br />
&#160;&#160;<span class="code-comment">/*<br />
&#160;&#160;outline-width: thin/medium/thick;<br />
&#160;&#160;outline-style: solid;<br />
&#160;&#160;*/</span><br />
&#160;&#160;<br />
&#160;&#160;<span class="code-comment">/* typo */</span><br />
&#160;&#160;<span class="code-property">font-family:</span> \'.&#160;<span class="code-variable">$themebuilder_div_content_fontfamily</span> .\';<br />
&#160;&#160;<span class="code-property">line-height:</span> \'.&#160;<span class="code-variable">$themebuilder_div_content_lineheight</span> .\';<br />
&#160;&#160;<span class="code-property">font-size:</span> \'.&#160;<span class="code-variable">$themebuilder_div_content_fontsize</span> .\';<br />
&#160;&#160;<span class="code-property">text-align:</span> \'.&#160;<span class="code-variable">$themebuilder_page_alignment</span> .\';&#160;<span class="code-comment">/* Center of layout for IE 5 */</span><br />
&#160;&#160;<br />
&#160;&#160;<span class="code-comment">/* color */</span><br />
&#160;&#160;<span class="code-property">color:</span>\'.&#160;<span class="code-variable">$themebuilder_div_content_color</span> .\';<br />
&#160;&#160;<span class="code-property">background-color:</span>\'.&#160;<span class="code-variable">$themebuilder_div_content_backgroundcolor</span> .\';<br />
&#160;&#160;<span class="code-property">border-color:</span>\'.&#160;<span class="code-variable">$themebuilder_div_content_bordercolor</span> .\';<br />
&#160;&#160;<br />
&#160;&#160;<span class="code-comment">/* background image */</span><br />
&#160;&#160;<span class="code-property">background-image:</span> url("images/bg_body.jpg");<br />
&#160;&#160;<span class="code-property">background-repeat:</span>\'.&#160;<span class="code-variable">$themebuilder_body_backgroundrepeat</span> .\';&#160;<span class="code-comment">/* "repeat" for NN 4*/</span><br />
&#160;&#160;<span class="code-property">background-position:</span>\'.&#160;<span class="code-variable">$themebuilder_body_backgroundposition</span> .\';&#160;<span class="code-comment">/* Not for NN 4 */</span><br />
&#160;&#160;<span class="code-property">background-attachment:</span>\'.&#160;<span class="code-variable">$themebuilder_body_backgroundattachment</span> .\';<br />
}\';'."\n";
      $output .= '</code></p>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      
      $output .= '<div class="source">'."\n";
      $output .= '<h3 id="source">9 '. t('Source') .'</h3>';
      $output .= '    <ul>'."\n";
      $output .= '      <li class="icon16 ok">Modul source: '."\n";
      $output .= '        <ul>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 folder" href="'. $module_base_path .'/" title="The directory of themebuilder" >themebuilder</a></li>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 image" href="'. $module_base_path .'/source/logo.xcf" title="The logo source file for GIMP" >logo.xcf</a></li>'."\n";
      $output .= '        </ul>'."\n";
      $output .= '      </li>'."\n";
      $output .= '      <li class="icon16 ok">Documentation source: '."\n";
      $output .= '        <ul>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 oasis_drawing" href="'. $module_base_path .'/source/documentation.odg" title="The structure of the standard theme" >documentation.odg</a></li>'."\n";
      $output .= '          <li class="icon16 ok"><a class="icon16 oasis_spreadsheet" href="'. $module_base_path .'/source/layout.ods" title="The layout width" >layout.ods</a></li>'."\n";
      $output .= '        </ul>'."\n";
      $output .= '      </li>'."\n";
      $output .= '    </ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      
      $output .= '<div class="license">'."\n";
      $output .= '<h3 id="license">10 '. t('License') .'</h3>';
      $output .= '<ul>'."\n";
      $output .= '  <li><a href="http://www.gnu.org/licenses/gpl.html" title="GNU General Public License" class="icon16 gnu"><abbr lang="en" xml:lang="en" title="GNU is not Unix">GNU</abbr> '. t('General Public License') .' Version 3 (<abbr lang="en" xml:lang="en" title="GNU is not Unix">GNU</abbr> <abbr lang="en" xml:lang="en" title="GNU General Public License">GPL</abbr><abbr lang="en" xml:lang="en" title="Version">v</abbr>3)</a>*</li>'."\n";
      $output .= '  <li><a href="'. $module_base_path .'/LICENSE.txt" title="GNU General Public License" class="icon16 text">LICENSE.txt</a></li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="thanks">'."\n";
      $output .= '<h3 id="thanks">11 '. t('Thanks') .'</h3>';
      $output .= '<h4>11.1 '. t('Developers') .'</h4>';
      $output .= '<p>'. t('Thanks to:') .'</p>'."\n";
      $output .= '<ul>'."\n";
      $output .= '  <li>'. t('Drew Mathers') .'</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h4>11.2 '. t('Made with') .'</h4>';
      $output .= '<ul>'."\n";
      $output .= '  <li><a href="http://www.linux.org" class="icon16 linux external">Linux</a></li>'."\n";
      $output .= '  <li><a href="http://www.drupal.org" class="icon16 drupal external">Drupal</a></li>'."\n";
      $output .= '  <li><a href="http://quanta.kdewebdev.org" title="Quanta Plus" class="icon16 quantaplus external">Quanta Plus</a></li>'."\n";
      $output .= '  <li><a href="http://bluefish.openoffice.nl/" title="Bluefish" class="icon16 bluefish external">Bluefish</a></li>'."\n";
      $output .= '  <li><a href="http://www.jedit.org" title="jEdit" class="icon16 jedit external">jEdit</a></li>'."\n";
      $output .= '  <li><a href="http://cssed.sourceforge.net" title="CSSED" class="icon16 cssed external"><abbr lang="en" xml:lang="en" title="Cascading Style Sheets">CSS</abbr><abbr lang="en" xml:lang="en" title="Editor">ED</abbr></a></li>'."\n";
      $output .= '  <li><a href="http://www.gimp.org" title="Gimp" class="icon16 gimp external"><abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program,">GIMP</abbr></a></li>'."\n";
      $output .= '  <li><a href="http://inkscape.org" title="Incscape" class="icon16 inkscape external">Inkscape</a></li>'."\n";
      $output .= '  <li><a href="http://home.gna.org/colorscheme/" title="Agave" class="icon16 agave external">Agave</a></li>'."\n";
      $output .= '  <li><a href="http://gcolor2.sourceforge.net/" title="gcolor2" class="icon16 gcolor2 external">gcolor2</a></li>'."\n";
      $output .= '  <li><a href="http://www.openoffice.org" title="OpenOffice.org" class="icon16 openofficeorg_2 external">OpenOffice.org</a></li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<h4>11.3 '. t('Icons') .'</h4>';
      $output .= '<ul>'."\n";
      $output .= '  <li><a href="http://art.gnome.org/themes/icon/1352">Gnome 2.18 icon theme By aneglus</a></li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="legend">'."\n";
      $output .= '<h3 id="legend">13 '. t('Legend') .'</h3>';
      $output .= '<p><a class="float-no-right" href="'. $module_base_path .'/images/doc_legend.png" title="The legend of structure of the standard theme" ><img alt="The legend of structure of the standard theme" src="'. $module_base_path .'/images/doc_legend_100.png" /></a></p>'."\n";

      $output .= '<ul>'."\n";
      $output .= '  <li class="icon16 not-tested">New/Not tested</li>'."\n";
      $output .= '  <li class="icon16 ok">OK/Supported</li>'."\n";
      $output .= '  <li class="icon16 warning">Warning/Partial supported</li>'."\n";
      $output .= '  <li class="icon16 error">Error/Not supported</li>'."\n";
      $output .= '  <li class="icon16 info">Information</li>'."\n";
      $output .= '  <li class="icon16 important"><em>Important note!</em></li>'."\n";
      $output .= '  <li>* '. t('Better than other big') .' <abbr title="Cascading Style Sheets">CSS</abbr> '. ('frameworks') .'.</li>'."\n";
      $output .= '</ul>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<div class="recources">'."\n";
      $output .= '<h3 id="recources">14 '. t('Recources') .'</h3>';
      $output .= '  <p id="r1">[1] Jan Eric Hellbusch: "Barrierefreie Webdesign" 2004</p>'."\n";
      $output .= '  <p id="r2">[2] <a href="http://www.webhits.de">www.webhits.de</a></p>'."\n";
      $output .= '  <p id="r3">[3] <a href="http://www.codestyle.org/css/font-family/">www.codestyle.org/css/font-family/</a></p>'."\n";
      $output .= '<hr />'."\n";
      $output .= '</div>'."\n";
      $output .= '<p><a href="#contents" class="icon16 skip_up">'. t('Up to Index') .'</a></p>'."\n";
  return $output;
}
