<?php

/**
 * @file
 * Theme Builder Edit Color
 */
function themebuilder_color() {
include drupal_get_path('module', 'themebuilder') .'/includes/data.inc';
  $form['themebuilder_base_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Base color'),
    '#description' => '<span class="info">'. t('Base colors only for color palettes and info in the css files.') .'</span>',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['themebuilder_base_color']['color'] = array(
    '#type' => 'textfield',
    '#title' => $color_name,
    '#default_value' => variable_get('color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => 'Base color 2. Standard: Blue #000000. <div id="colorpicker" class="float-right"></div>',
    '#required' => TRUE,
  );
  $form['themebuilder_base_color']['themebuilder_basecolor2'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_basecolor2_name,
    '#default_value' => variable_get('themebuilder_basecolor2', '#FF0000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => 'Base color 2. Standard: Red #FF0000.',
    '#required' => false,
  );
  $form['themebuilder_base_color']['themebuilder_basecolor3'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_basecolor3_name,
    '#default_value' => variable_get('themebuilder_basecolor3', '#00CC00'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => 'Base color 3. Standard: Green #00CC00.',
    '#required' => false,
  );
  $form['themebuilder_base_color']['themebuilder_basecolor4'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_basecolor4_name,
    '#default_value' => variable_get('themebuilder_basecolor4', '#FFFF00'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => 'Base color 4. Standard: Yellow #FFFF00.',
    '#required' => false,
  );
  $form['themebuilder_body_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Body'),
    '#description' => t('Body color style'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_body_color']['themebuilder_body_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_body_color_name,
    '#default_value' => variable_get('themebuilder_body_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Body text color. Alternative: #FFFFFF (web save). Standard: #000000 .'),
    '#required' => TRUE,
  );
  $form['themebuilder_body_color']['themebuilder_body_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_body_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_body_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Body background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_body_color']['themebuilder_body_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_body_bordercolor_name,
    '#default_value' => variable_get('themebuilder_body_bordercolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Body border color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_page_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Page'),
    '#description' => t('Page border color style'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_body_color']['themebuilder_page_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_body_color_name,
    '#default_value' => variable_get('themebuilder_page_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Page text color. Standard: #000000 .'),
    '#required' => TRUE,
  );
  $form['themebuilder_page_color']['themebuilder_div_page_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_body_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_page_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Page background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_page_color']['themebuilder_div_page_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_page_bordercolor_name,
    '#default_value' => variable_get('themebuilder_div_page_bordercolor', '#CCCCCC'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Page border color. Standard: #CCCCCC.'),
    '#required' => TRUE,
  );
  $form['themebuilder_header_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Header'),
    '#description' => t('The head color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_header_color']['themebuilder_div_header_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_header_color_name,
    '#default_value' => variable_get('themebuilder_div_header_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Header color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_header_color']['themebuilder_div_header_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_header_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_header_backgroundcolor', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Header background color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_header_color']['themebuilder_div_header_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_header_bordercolor_name,
    '#default_value' => variable_get('themebuilder_div_header_bordercolor', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Header background color. Standard: #000000.'),
    '#required' => TRUE,
  );

/*
  $form['themebuilder_color_head']['themebuilder_color_header_navigation'] = array(
    '#type' => 'select',
    '#title' => t('Navigation style'),
    '#options' => array(
      t('Zen classic'),
      t('TODO'),
    ),
    '#default_value' => variable_get('themebuilder_color_header_navigation', 0),
    '#description' => t('Select the style for primary and secondary navigation.'),
  );
*/

  $form['themebuilder_sidebar_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Sidebars'),
    '#description' => t('The sidebars color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_sidebar_color']['themebuilder_div_sidebar_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_sidebar_color_name,
    '#default_value' => variable_get('themebuilder_div_sidebar_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Sidebar left and right text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_sidebar_color']['themebuilder_div_sidebar_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_sidebar_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_sidebar_backgroundcolor', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Sidebar left and right background color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_sidebar_color']['themebuilder_div_sidebar_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_sidebar_bordercolor_name,
    '#default_value' => variable_get('themebuilder_div_sidebar_bordercolor', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Sidebar left and right border color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_content_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Content'),
    '#description' => t('The content color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_content_color']['themebuilder_div_content_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_content_color_name,
    '#default_value' => variable_get('themebuilder_div_content_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Main content text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_content_color']['themebuilder_div_content_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_content_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_content_backgroundcolor', '#FAFAFA'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Main content background color. Standard: #FAFAFA.'),
    '#required' => TRUE,
  );
  $form['themebuilder_content_color']['themebuilder_div_content_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_content_bordercolor_name,
    '#default_value' => variable_get('themebuilder_div_content_bordercolor', '#CCCCCC'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Content border color. Standard: #CCCCCC.'),
    '#required' => TRUE,
  );
  $form['themebuilder_footer_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Footer'),
    '#description' => t('The footer color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_footer_color']['themebuilder_div_footer_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_footer_name,
    '#default_value' => variable_get('themebuilder_div_footer_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Footer text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_footer_color']['themebuilder_div_footer_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_footer_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_footer_backgroundcolor', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Footer background color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_footer_color']['themebuilder_div_footer_bordercolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_footer_bordercolor_name,
    '#default_value' => variable_get('themebuilder_div_footer_bordercolor', '#999999'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Footer background color. Standard: #999999.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h1_sitename_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Site name'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h1_sitename_color']['themebuilder_h1_sitename_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h1_sitename_color_name,
    '#default_value' => variable_get('themebuilder_h1_sitename_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Site name text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h1_sitename_color']['themebuilder_h1_sitename_color_print'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h1_sitename_color_print_name,
    '#default_value' => variable_get('themebuilder_h1_sitename_color_print', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Site name text color for print style. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_p_siteslogan_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Site slogan'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_p_siteslogan_color']['themebuilder_p_siteslogan_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_p_siteslogan_color_name,
    '#default_value' => variable_get('themebuilder_p_siteslogan_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Site slogan text color for print style. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_p_siteslogan_color']['themebuilder_p_siteslogan_color_print'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_p_siteslogan_color_print_name,
    '#default_value' => variable_get('themebuilder_p_siteslogan_color_print', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Site slogan text color for print style. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_primary_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Primary links'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_div_primary_color']['themebuilder_div_primary_a_link_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_primary_a_link_color_name,
    '#default_value' => variable_get('themebuilder_div_primary_a_link_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Primary link text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_primary_color']['themebuilder_div_primary_a_link_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_primary_a_link_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_primary_a_link_backgroundcolor', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Primary link background color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_secondary_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Secondary links'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_div_secondary_color']['themebuilder_div_secondary_a_link_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_secondary_a_link_color_name,
    '#default_value' => variable_get('themebuilder_div_secondary_a_link_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Secondary link text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_secondary_color']['themebuilder_div_secondary_a_link_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_secondary_a_link_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_secondary_a_link_backgroundcolor', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Secondary link background color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading1_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 1'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading1_color']['themebuilder_h1_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h1_color_name,
    '#default_value' => variable_get('themebuilder_h1_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading2_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 2'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading2_color']['themebuilder_h2_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h2_color_name,
    '#default_value' => variable_get('themebuilder_h2_color', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading3_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 3'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading3_color']['themebuilder_h3_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h3_color_name,
    '#default_value' => variable_get('themebuilder_h3_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading4_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 4'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading4_color']['themebuilder_h4_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h4_color_name,
    '#default_value' => variable_get('themebuilder_h4_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading5_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 5'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading5_color']['themebuilder_h5_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h5_color_name,
    '#default_value' => variable_get('themebuilder_h5_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_heading6_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 6'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_heading6_color']['themebuilder_h6_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_h6_color_name,
    '#default_value' => variable_get('themebuilder_h6_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Table'),
    '#description' => t('Set the colors for the table.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_caption_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_caption_color_name,
    '#default_value' => variable_get('themebuilder_caption_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Caption text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_caption_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_caption_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_caption_backgroundcolor', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Caption background color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_theadth_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_theadth_color_name,
    '#default_value' => variable_get('themebuilder_theadth_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Table head text color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_theadth_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_theadth_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_theadth_backgroundcolor', '#333333'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Table head background color. Standard: #333333.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_tfoottd_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_tfoottd_color_name,
    '#default_value' => variable_get('themebuilder_tfoottd_color', '#000000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Table head text color. Standard: #000000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_table_color']['themebuilder_tfoottd_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_tfoottd_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_tfoottd_backgroundcolor', '#FCFCFC'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Table head background color. Standard: #FCFCFC.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_link_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_link_color']['themebuilder_a_link_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_link_color_name,
    '#default_value' => variable_get('themebuilder_a_link_color', '#0000FF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link color. Standard: #0000FF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_link_color']['themebuilder_a_link_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_link_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_a_link_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_visited_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link visited'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_visited_color']['themebuilder_a_visited_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_visited_color_name,
    '#default_value' => variable_get('themebuilder_a_visited_color', '#990099'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link color visited. Standard: #990099.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_visited_color']['themebuilder_a_visited_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_visited_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_a_visited_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link visited background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_focus_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link focus'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_focus_color']['themebuilder_a_focus_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_focus_color_name,
    '#default_value' => variable_get('themebuilder_a_focus_color', '#FF0000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link focus color. Standard: #FF0000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_focus_color']['themebuilder_a_focus_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_focus_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_a_focus_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link focus background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_hover_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link hover'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_hover_color']['themebuilder_a_hover_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_hover_color_name,
    '#default_value' => variable_get('themebuilder_a_hover_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link hover color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_hover_color']['themebuilder_a_hover_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_hover_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_a_hover_backgroundcolor', '#0000FF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link hover background color. Standard: #0000FF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_active_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link active'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_active_color']['themebuilder_a_active_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_active_color_name,
    '#default_value' => variable_get('themebuilder_a_active_color', '#FF0000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link active color. Standard: #FF0000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_a_active_color']['themebuilder_a_active_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_a_active_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_a_active_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Text link active background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_kbd_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Keyboard tag'),
    '#description' => t('Enter the colors for the keyboard tag: "kbd".'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_kbd_color']['themebuilder_kbd_color'] = array(
    '#type' => 'textfield',
    '#title' => t('KBD color'),
    '#default_value' => variable_get('themebuilder_kbd_color', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('KBD color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  );
  $form['themebuilder_kbd_color']['themebuilder_kbd_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => t('KBD background color'),
    '#default_value' => variable_get('themebuilder_kbd_backgroundcolor', '#FFFFFF'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('KBD background color. Standard: #FFFFFF.'),
    '#required' => TRUE,
  ); 
  $form['themebuilder_ok_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('OK Class'),
    '#description' => t('The OK color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_ok_color']['themebuilder_ok_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_ok_name,
    '#default_value' => variable_get('themebuilder_ok_color', '#009900'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('OK color. Standard: #009900.'),
    '#required' => TRUE,
  );
  $form['themebuilder_ok_color']['themebuilder_div_ok_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_ok_name,
    '#default_value' => variable_get('themebuilder_div_ok_color', '#009900'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('OK message color. Standard: #009900.'),
    '#required' => TRUE,
  );
  $form['themebuilder_ok_color']['themebuilder_div_ok_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_ok_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_ok_backgroundcolor', '#CCFFCC'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('OK message background color. Standard: #FAFAFA.'),
    '#required' => TRUE,
  );
  $form['themebuilder_warning_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Warning Class'),
    '#description' => t('The warning color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_warning_color']['themebuilder_warning_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_warning_name,
    '#default_value' => variable_get('themebuilder_warning_color', '#996600'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Warning color. Standard: #996600.'),
    '#required' => TRUE,
  );
  $form['themebuilder_warning_color']['themebuilder_div_warning_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_warning_name,
    '#default_value' => variable_get('themebuilder_div_warning_color', '#990000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Warning message color. Standard: #990000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_warning_color']['themebuilder_div_warning_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_warning_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_warning_backgroundcolor', ' #FFFF99'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Warning message background color. Standard:  #FFFF99.'),
    '#required' => TRUE,
  );
  $form['themebuilder_error_color'] = array(
    '#type' => 'fieldset',
    '#title' => t('Error Class'),
    '#description' => t('The error color style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_error_color']['themebuilder_error_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_error_name,
    '#default_value' => variable_get('themebuilder_error_color', '#FF0000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Error color. Standard: #FF0000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_error_color']['themebuilder_div_error_color'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_error_name,
    '#default_value' => variable_get('themebuilder_div_error_color', '#990000'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Error message color. Standard: #990000.'),
    '#required' => TRUE,
  );
  $form['themebuilder_error_color']['themebuilder_div_error_backgroundcolor'] = array(
    '#type' => 'textfield',
    '#title' => $themebuilder_div_error_backgroundcolor_name,
    '#default_value' => variable_get('themebuilder_div_error_backgroundcolor', '#FFCCCC'),
    '#size' => 7,
    '#maxlength' => 7,
    '#description' => t('Error message background color. Standard: #FFCCCC.'),
    '#required' => TRUE,
  );
  return system_settings_form($form);
}