<?php

/**
 * @file
 * Theme Builder Edit Color
 */
function themebuilder_image() {
  $form['themebuilder_body_image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Body'),
    '#description' => t('Body background image style'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['themebuilder_body_image']['themebuilder_body_backgroundrepeat'] = array(
    '#type' => 'select',
    '#title' => t('Body background image repeat'),
    '#options' => array(
      'no-repeat' => 'none',
      'repeat-x' => 'horizontal',
      'repeat-y' => 'vertical',
      'repeat' => 'horizontal and vertical',
    ),
    '#default_value' => variable_get('themebuilder_body_backgroundrepeat', 'repeat-x'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_body_image']['themebuilder_body_backgroundposition'] = array(
    '#type' => 'textfield',
    '#title' => t('Body background image position'),
    '#default_value' => variable_get('themebuilder_body_backgroundposition', 'top left'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter as first the horizontal and then the vertikal value. Standard: top left'),
    '#required' => TRUE,
  );
  $form['themebuilder_body_image']['themebuilder_body_backgroundattachment'] = array(
    '#type' => 'select',
    '#title' => t('Body background image attachment'),
    '#options' => array(
      'scroll' => 'scroll',
      'fixed' => 'fixed',
    ),
    '#default_value' => variable_get('themebuilder_body_backgroundattachment', 'scroll'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_header_image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Head'),
    '#description' => t('The head background image style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_header_image']['themebuilder_div_header_backgroundrepeat'] = array(
    '#type' => 'select',
    '#title' => t('Head background image repeat'),
    '#options' => array(
      'no-repeat' => 'none',
      'repeat-x' => 'horizontal',
      'repeat-y' => 'vertical',
      'repeat' => 'horizontal and vertical',
    ),
    '#default_value' => variable_get('themebuilder_div_header_backgroundrepeat', 'repeat-x'),
    '#description' => t('Set the repeat of the bg_head.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_header_image']['themebuilder_div_header_backgroundposition'] = array(
    '#type' => 'textfield',
    '#title' => t('Head background image position'),
    '#default_value' => variable_get('themebuilder_div_header_backgroundposition', 'top left'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter as first the horizontal and then the vertikal value. Standard: top left'),
    '#required' => TRUE,
  );
  $form['themebuilder_header_image']['themebuilder_div_header_backgroundattachment'] = array(
    '#type' => 'select',
    '#title' => t('Head background image attachment'),
    '#options' => array(
      'scroll' => 'scroll',
      'fixed' => 'fixed',
    ),
    '#default_value' => variable_get('themebuilder_div_header_backgroundattachment', 'scroll'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_sidebar_image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Sidebars'),
    '#description' => t('The sidebars background image style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_sidebar_image']['themebuilder_div_sidebar_backgroundrepeat'] = array(
    '#type' => 'select',
    '#title' => t('Sidebars background image repeat'),
    '#options' => array(
      'no-repeat' => 'none',
      'repeat-x' => 'horizontal',
      'repeat-y' => 'vertical',
      'repeat' => 'horizontal and vertical',
    ),
    '#default_value' => variable_get('themebuilder_div_sidebar_backgroundrepeat', 'repeat-x'),
    '#description' => t('Set the repeat of the bg_sidebar.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_sidebar_image']['themebuilder_div_sidebar_backgroundposition'] = array(
    '#type' => 'textfield',
    '#title' => t('Sidebars background image position'),
    '#default_value' => variable_get('themebuilder_div_sidebar_backgroundposition', 'top left'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter as first the horizontal and then the vertikal value. Standard: top left'),
    '#required' => TRUE,
  );
  $form['themebuilder_sidebar_image']['themebuilder_div_sidebar_backgroundattachment'] = array(
    '#type' => 'select',
    '#title' => t('Sidebars background image attachment'),
    '#options' => array(
      'scroll' => 'scroll',
      'fixed' => 'fixed',
    ),
    '#default_value' => variable_get('themebuilder_div_sidebar_backgroundattachment', 'scroll'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_content_image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Content'),
    '#description' => t('The content background image style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_content_image']['themebuilder_div_content_backgroundrepeat'] = array(
    '#type' => 'select',
    '#title' => t('Main content background image repeat'),
    '#options' => array(
      'no-repeat' => 'none',
      'repeat-x' => 'horizontal',
      'repeat-y' => 'vertical',
      'repeat' => 'horizontal and vertical',
    ),
    '#default_value' => variable_get('themebuilder_div_content_backgroundrepeat', 'repeat-x'),
    '#description' => t('Set the repeat of the bg_main.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_content_image']['themebuilder_div_content_backgroundposition'] = array(
    '#type' => 'textfield',
    '#title' => t('Main content background image position'),
    '#default_value' => variable_get('themebuilder_div_content_backgroundposition', 'top left'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter as first the horizontal and then the vertikal value. Standard: top left'),
    '#required' => TRUE,
  );
  $form['themebuilder_content_image']['themebuilder_div_content_backgroundattachment'] = array(
    '#type' => 'select',
    '#title' => t('Main content background image attachment'),
    '#options' => array(
      'scroll' => 'scroll',
      'fixed' => 'fixed',
    ),
    '#default_value' => variable_get('themebuilder_div_content_backgroundattachment', 'scroll'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_footer_image'] = array(
    '#type' => 'fieldset',
    '#title' => t('Footer'),
    '#description' => t('The footer background image style.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_footer_image']['themebuilder_div_footer_backgroundrepeat'] = array(
    '#type' => 'select',
    '#title' => t('Footer background image repeat'),
    '#options' => array(
      'no-repeat' => 'none',
      'repeat-x' => 'horizontal',
      'repeat-y' => 'vertical',
      'repeat' => 'horizontal and vertical',
    ),
    '#default_value' => variable_get('themebuilder_div_footer_backgroundrepeat', 'repeat-x'),
    '#description' => t('Set the repeat of the bg_footer.jpg image. Standard "horizontal".'),
  );
  $form['themebuilder_footer_image']['themebuilder_div_footer_backgroundposition'] = array(
    '#type' => 'textfield',
    '#title' => t('Footer background image position'),
    '#default_value' => variable_get('themebuilder_div_footer_backgroundposition', 'bottom left'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter as first the horizontal and then the vertikal value. Standard: top left'),
    '#required' => TRUE,
  );
  $form['themebuilder_footer_image']['themebuilder_div_footer_backgroundattachment'] = array(
    '#type' => 'select',
    '#title' => t('Footer background image attachment'),
    '#options' => array(
      'scroll' => 'scroll',
      'fixed' => 'fixed',
    ),
    '#default_value' => variable_get('themebuilder_div_footer_backgroundattachment', 'scroll'),
    '#description' => t('Set the repeat of the bg_body.jpg image. Standard "horizontal".'),
  );
  return system_settings_form($form);
}