<?php

/**
 * Generate the OpenOffice.org Color Theme Palette (theme.soc)
 */
function generate_openoffice_palette() {
include drupal_get_path('module', 'themebuilder') .'/includes/data.inc';
  $output .= '<?xml version="1.0" encoding="UTF-8"?>
<ooo:color-table xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ooo="http://openoffice.org/2004/office">
 <draw:color draw:color="'. $color .'" draw:name="'. $color_name .' '. $color .'" />
 <draw:color draw:color="'. $themebuilder_basecolor2 .'" draw:name="'. $themebuilder_basecolor2_name .' '. $themebuilder_basecolor2 .'" />
 <draw:color draw:color="'. $themebuilder_basecolor3 .'" draw:name="'. $themebuilder_basecolor3_name .' '. $themebuilder_basecolor3 .'" />
 <draw:color draw:color="'. $themebuilder_basecolor4 .'" draw:name="'. $themebuilder_basecolor4_name .' '. $themebuilder_basecolor4 .'" />
 <draw:color draw:color="'. $themebuilder_body_color .'" draw:name="'. $themebuilder_body_color_name .' '. $themebuilder_body_color .'" />
 <draw:color draw:color="'. $themebuilder_body_backgroundcolor .'" draw:name="'. $themebuilder_body_backgroundcolor_name .' '. $themebuilder_body_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_body_bordercolor .'" draw:name="'. $themebuilder_body_bordercolor_name .' '. $themebuilder_body_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_div_page_bordercolor .'" draw:name="'. $themebuilder_div_page_bordercolor_name .' '. $themebuilder_div_page_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_div_header_color .'" draw:name="'. $themebuilder_div_header_color_name .' '. $themebuilder_div_header_color .'" />
 <draw:color draw:color="'. $themebuilder_div_header_backgroundcolor .'" draw:name="'. $themebuilder_div_header_backgroundcolor_name .' '. $themebuilder_div_header_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_header_bordercolor .'" draw:name="'. $themebuilder_div_header_bordercolor_name .' '. $themebuilder_div_header_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_h1_sitename_color .'" draw:name="'. $themebuilder_h1_sitename_color_name .' '. $themebuilder_h1_sitename_color .'" />
 <draw:color draw:color="'. $themebuilder_h1_sitename_color_print .'" draw:name="'. $themebuilder_h1_sitenamec_color_print_name .' '. $themebuilder_h1_sitename_color_print .'" />
 <draw:color draw:color="'. $themebuilder_p_siteslogan_color .'" draw:name="'. $themebuilder_p_siteslogan_color_name .' '. $themebuilder_p_siteslogan_color .'" />
 <draw:color draw:color="'. $themebuilder_p_siteslogan_color_print .'" draw:name="'. $themebuilder_p_siteslogan_color_print_name .' '. $themebuilder_p_siteslogan_color_print .'" />
 <draw:color draw:color="'. $themebuilder_div_primary_a_link_color .'" draw:name="'. $themebuilder_div_primary_a_link_color_name .' '. $themebuilder_div_primary_a_link_color .'" />
 <draw:color draw:color="'. $themebuilder_div_primary_a_link_backgroundcolor .'" draw:name="'. $themebuilder_div_primary_a_link_backgroundcolor_name .' '. $themebuilder_div_primary_a_link_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_secondary_a_link_color .'" draw:name="'. $themebuilder_div_secondary_a_link_color_name .' '. $themebuilder_div_secondary_a_link_color .'" />
 <draw:color draw:color="'. $themebuilder_div_secondary_a_link_backgroundcolor .'" draw:name="'. $themebuilder_div_secondary_a_link_backgroundcolor_name .' '. $themebuilder_div_secondary_a_link_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_sidebar_color .'" draw:name="'. $themebuilder_div_sidebar_color_name .' '. $themebuilder_div_sidebar_color .'" />
 <draw:color draw:color="'. $themebuilder_div_sidebar_backgroundcolor .'" draw:name="'. $themebuilder_div_sidebar_backgroundcolor_name .' '. $themebuilder_div_sidebar_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_sidebar_bordercolor .'" draw:name="'. $themebuilder_div_sidebar_bordercolor_name .' '. $themebuilder_div_sidebar_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_div_content .'" draw:name="'. $themebuilder_div_content_color_name .' '. $themebuilder_div_content .'" />
 <draw:color draw:color="'. $themebuilder_div_content_backgroundcolor .'" draw:name="'. $themebuilder_div_content_backgroundcolor_name .' '. $themebuilder_div_content_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_content_bordercolor .'" draw:name="'. $themebuilder_div_content_bordercolor_name .' '. $themebuilder_div_content_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_div_footer .'" draw:name="'. $themebuilder_div_footer_name .' '. $themebuilder_div_footer .'" />
 <draw:color draw:color="'. $themebuilder_div_footer_backgroundcolor .'" draw:name="'. $themebuilder_div_footer_backgroundcolor_name .' '. $themebuilder_div_footer_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_div_footer_bordercolor .'" draw:name="'. $themebuilder_div_footer_bordercolor_name .' '. $themebuilder_div_footer_bordercolor .'" />
 <draw:color draw:color="'. $themebuilder_h1_color .'" draw:name="'. $themebuilder_h1_color_name .' '. $themebuilder_h1_color .'" />
 <draw:color draw:color="'. $themebuilder_h2_color .'" draw:name="'. $themebuilder_h2_color_name .' '. $themebuilder_h2_color .'" />
 <draw:color draw:color="'. $themebuilder_h3_color .'" draw:name="'. $themebuilder_h3_color_name .' '. $themebuilder_h3_color .'" />
 <draw:color draw:color="'. $themebuilder_h4_color .'" draw:name="'. $themebuilder_h4_color_name .' '. $themebuilder_h4_color .'" />
 <draw:color draw:color="'. $themebuilder_h5_color .'" draw:name="'. $themebuilder_h5_color_name .' '. $themebuilder_h5_color .'" />
 <draw:color draw:color="'. $themebuilder_h6_color .'" draw:name="'. $themebuilder_h6_color_name .' '. $themebuilder_h6_color .'" />
 <draw:color draw:color="'. $themebuilder_caption_backgroundcolor .'" draw:name="'. $themebuilder_caption_backgroundcolor_name .' '. $themebuilder_caption_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_theadth_color .'" draw:name="'. $themebuilder_theadth_color_name .' '. $themebuilder_theadth_color .'" />
 <draw:color draw:color="'. $themebuilder_theadth_backgroundcolor .'" draw:name="'. $themebuilder_theadth_backgroundcolor_name .' '. $themebuilder_theadth_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_tfoottd_color .'" draw:name="'. $themebuilder_tfoottd_color_name .' '. $themebuilder_tfoottd_color .'" />
 <draw:color draw:color="'. $themebuilder_tfoottd_backgroundcolor .'" draw:name="'. $themebuilder_tfoottd_backgroundcolor_name .' '. $themebuilder_tfoottd_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_a_link_color .'" draw:name="'. $themebuilder_a_link_color_name .' '. $themebuilder_a_link_color .'" />
 <draw:color draw:color="'. $themebuilder_a_link_backgroundcolor .'" draw:name="'. $themebuilder_a_link_backgroundcolor_name .' '. $themebuilder_a_link_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_a_visited_color .'" draw:name="'. $themebuilder_a_visited_color_name .' '. $themebuilder_a_visited_color .'" />
 <draw:color draw:color="'. $themebuilder_a_visited_backgroundcolor .'" draw:name="'. $themebuilder_a_visited_backgroundcolor_name .' '. $themebuilder_a_visited_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_a_focus_color .'" draw:name="'. $themebuilder_a_focus_color_name .' '. $themebuilder_a_focus_color .'" />
 <draw:color draw:color="'. $themebuilder_a_focus_backgroundcolor .'" draw:name="'. $themebuilder_a_focus_backgroundcolor_name .' '. $themebuilder_a_focus_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_a_hover_color .'" draw:name="'. $themebuilder_a_hover_color_name .' '. $themebuilder_a_hover_color .'" />
 <draw:color draw:color="'. $themebuilder_a_hover_backgroundcolor .'" draw:name="'. $themebuilder_a_hover_backgroundcolor_name .' '. $themebuilder_a_hover_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_a_active_color .'" draw:name="'. $themebuilder_a_active_color_name .' '. $themebuilder_a_active_color .'" />
 <draw:color draw:color="'. $themebuilder_a_active_backgroundcolor .'" draw:name="'. $themebuilder_a_active_backgroundcolor_name .' '. $themebuilder_a_active_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_kbd_color .'" draw:name="'. $themebuilder_kbd_color_name .' '. $themebuilder_kbd_color .'" />
 <draw:color draw:color="'. $themebuilder_kbd_backgroundcolor .'" draw:name="'. $themebuilder_kbd_backgroundcolor_name .' '. $themebuilder_kbd_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_ok_color .'" draw:name="'. $themebuilder_ok_name .' '. $themebuilder_ok_color .'" />
 <draw:color draw:color="'. $themebuilder_div_ok_color .'" draw:name="'. $themebuilder_div_ok_name .' '. $themebuilder_div_ok_color .'" />
 <draw:color draw:color="'. $themebuilder_div_ok_backgroundcolor .'" draw:name="'. $themebuilder_div_content_backgroundcolor_name .' '. $themebuilder_div_ok_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_warning_color .'" draw:name="'. $themebuilder_warning_name .' '. $themebuilder_warning_color .'" />
 <draw:color draw:color="'. $themebuilder_div_warning_color .'" draw:name="'. $themebuilder_div_warning_name .' '. $themebuilder_div_warning_color .'" />
 <draw:color draw:color="'. $themebuilder_div_warning_backgroundcolor .'" draw:name="'. $themebuilder_div_warning_backgroundcolor_name .' '. $themebuilder_div_warning_backgroundcolor .'" />
 <draw:color draw:color="'. $themebuilder_error_color .'" draw:name="'. $themebuilder_error_name .' '. $themebuilder_error_color .'" />
 <draw:color draw:color="'. $themebuilder_div_error_color .'" draw:name="'. $themebuilder_div_error_name .' '. $themebuilder_div_error_color .'" />
 <draw:color draw:color="'. $themebuilder_div_error_backgroundcolor .'" draw:name="'. $themebuilder_div_warning_backgroundcolor_name .' '. $themebuilder_div_error_backgroundcolor .'" />
</ooo:color-table>';
  return $output;
}
